searchNodes=[{"ref":"GoogleApi.Sheets.V4.Api.Spreadsheets.html","title":"GoogleApi.Sheets.V4.Api.Spreadsheets","type":"module","doc":"API calls for all endpoints tagged Spreadsheets."},{"ref":"GoogleApi.Sheets.V4.Api.Spreadsheets.html#sheets_spreadsheets_batch_update/4","title":"GoogleApi.Sheets.V4.Api.Spreadsheets.sheets_spreadsheets_batch_update/4","type":"function","doc":"Applies one or more updates to the spreadsheet. Each request is validated before being applied. If any request is not valid then the entire request will fail and nothing will be applied. Some requests have replies to give you some information about how they are applied. The replies will mirror the requests. For example, if you applied 4 updates and the 3rd one had a reply, then the response will have 2 empty replies, the actual reply, and another empty reply, in that order. Due to the collaborative nature of spreadsheets, it is not guaranteed that the spreadsheet will reflect exactly your changes after this completes, however it is guaranteed that the updates in the request will be applied together atomically. Your changes may be altered with respect to collaborator changes. If there are no collaborators, the spreadsheet should reflect your changes. Parameters connection (GoogleApi.Sheets.V4.Connection): Connection to server spreadsheet_id (String.t): The spreadsheet to apply the updates to. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (BatchUpdateSpreadsheetRequest): Returns {:ok, %GoogleApi.Sheets.V4.Model.BatchUpdateSpreadsheetResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Sheets.V4.Api.Spreadsheets.html#sheets_spreadsheets_create/3","title":"GoogleApi.Sheets.V4.Api.Spreadsheets.sheets_spreadsheets_create/3","type":"function","doc":"Creates a spreadsheet, returning the newly created spreadsheet. Parameters connection (GoogleApi.Sheets.V4.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (Spreadsheet): Returns {:ok, %GoogleApi.Sheets.V4.Model.Spreadsheet{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Sheets.V4.Api.Spreadsheets.html#sheets_spreadsheets_developer_metadata_get/5","title":"GoogleApi.Sheets.V4.Api.Spreadsheets.sheets_spreadsheets_developer_metadata_get/5","type":"function","doc":"Returns the developer metadata with the specified ID. The caller must specify the spreadsheet ID and the developer metadata&#39;s unique metadataId. Parameters connection (GoogleApi.Sheets.V4.Connection): Connection to server spreadsheet_id (String.t): The ID of the spreadsheet to retrieve metadata from. metadata_id (integer()): The ID of the developer metadata to retrieve. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.Sheets.V4.Model.DeveloperMetadata{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Sheets.V4.Api.Spreadsheets.html#sheets_spreadsheets_developer_metadata_search/4","title":"GoogleApi.Sheets.V4.Api.Spreadsheets.sheets_spreadsheets_developer_metadata_search/4","type":"function","doc":"Returns all developer metadata matching the specified DataFilter. If the provided DataFilter represents a DeveloperMetadataLookup object, this will return all DeveloperMetadata entries selected by it. If the DataFilter represents a location in a spreadsheet, this will return all developer metadata associated with locations intersecting that region. Parameters connection (GoogleApi.Sheets.V4.Connection): Connection to server spreadsheet_id (String.t): The ID of the spreadsheet to retrieve metadata from. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SearchDeveloperMetadataRequest): Returns {:ok, %GoogleApi.Sheets.V4.Model.SearchDeveloperMetadataResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Sheets.V4.Api.Spreadsheets.html#sheets_spreadsheets_get/4","title":"GoogleApi.Sheets.V4.Api.Spreadsheets.sheets_spreadsheets_get/4","type":"function","doc":"Returns the spreadsheet at the given ID. The caller must specify the spreadsheet ID. By default, data within grids will not be returned. You can include grid data one of two ways: Specify a field mask listing your desired fields using the &#x60;fields&#x60; URL parameter in HTTP Set the includeGridData URL parameter to true. If a field mask is set, the &#x60;includeGridData&#x60; parameter is ignored For large spreadsheets, it is recommended to retrieve only the specific fields of the spreadsheet that you want. To retrieve only subsets of the spreadsheet, use the ranges URL parameter. Multiple ranges can be specified. Limiting the range will return only the portions of the spreadsheet that intersect the requested ranges. Ranges are specified using A1 notation. Parameters connection (GoogleApi.Sheets.V4.Connection): Connection to server spreadsheet_id (String.t): The spreadsheet to request. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :includeGridData (boolean()): True if grid data should be returned. This parameter is ignored if a field mask was set in the request. :ranges ([String.t]): The ranges to retrieve from the spreadsheet. Returns {:ok, %GoogleApi.Sheets.V4.Model.Spreadsheet{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Sheets.V4.Api.Spreadsheets.html#sheets_spreadsheets_get_by_data_filter/4","title":"GoogleApi.Sheets.V4.Api.Spreadsheets.sheets_spreadsheets_get_by_data_filter/4","type":"function","doc":"Returns the spreadsheet at the given ID. The caller must specify the spreadsheet ID. This method differs from GetSpreadsheet in that it allows selecting which subsets of spreadsheet data to return by specifying a dataFilters parameter. Multiple DataFilters can be specified. Specifying one or more data filters will return the portions of the spreadsheet that intersect ranges matched by any of the filters. By default, data within grids will not be returned. You can include grid data one of two ways: Specify a field mask listing your desired fields using the &#x60;fields&#x60; URL parameter in HTTP Set the includeGridData parameter to true. If a field mask is set, the &#x60;includeGridData&#x60; parameter is ignored For large spreadsheets, it is recommended to retrieve only the specific fields of the spreadsheet that you want. Parameters connection (GoogleApi.Sheets.V4.Connection): Connection to server spreadsheet_id (String.t): The spreadsheet to request. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (GetSpreadsheetByDataFilterRequest): Returns {:ok, %GoogleApi.Sheets.V4.Model.Spreadsheet{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Sheets.V4.Api.Spreadsheets.html#sheets_spreadsheets_sheets_copy_to/5","title":"GoogleApi.Sheets.V4.Api.Spreadsheets.sheets_spreadsheets_sheets_copy_to/5","type":"function","doc":"Copies a single sheet from a spreadsheet to another spreadsheet. Returns the properties of the newly created sheet. Parameters connection (GoogleApi.Sheets.V4.Connection): Connection to server spreadsheet_id (String.t): The ID of the spreadsheet containing the sheet to copy. sheet_id (integer()): The ID of the sheet to copy. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CopySheetToAnotherSpreadsheetRequest): Returns {:ok, %GoogleApi.Sheets.V4.Model.SheetProperties{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Sheets.V4.Api.Spreadsheets.html#sheets_spreadsheets_values_append/5","title":"GoogleApi.Sheets.V4.Api.Spreadsheets.sheets_spreadsheets_values_append/5","type":"function","doc":"Appends values to a spreadsheet. The input range is used to search for existing data and find a &quot;table&quot; within that range. Values will be appended to the next row of the table, starting with the first column of the table. See the guide and sample code for specific details of how tables are detected and data is appended. The caller must specify the spreadsheet ID, range, and a valueInputOption. The &#x60;valueInputOption&#x60; only controls how the input data will be added to the sheet (column-wise or row-wise), it does not influence what cell the data starts being written to. Parameters connection (GoogleApi.Sheets.V4.Connection): Connection to server spreadsheet_id (String.t): The ID of the spreadsheet to update. range (String.t): The A1 notation of a range to search for a logical table of data. Values will be appended after the last row of the table. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :includeValuesInResponse (boolean()): Determines if the update response should include the values of the cells that were appended. By default, responses do not include the updated values. :insertDataOption (String.t): How the input data should be inserted. :responseDateTimeRenderOption (String.t): Determines how dates, times, and durations in the response should be rendered. This is ignored if response_value_render_option is FORMATTED_VALUE. The default dateTime render option is [DateTimeRenderOption.SERIAL_NUMBER]. :responseValueRenderOption (String.t): Determines how values in the response should be rendered. The default render option is ValueRenderOption.FORMATTED_VALUE. :valueInputOption (String.t): How the input data should be interpreted. :body (ValueRange): Returns {:ok, %GoogleApi.Sheets.V4.Model.AppendValuesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Sheets.V4.Api.Spreadsheets.html#sheets_spreadsheets_values_batch_clear/4","title":"GoogleApi.Sheets.V4.Api.Spreadsheets.sheets_spreadsheets_values_batch_clear/4","type":"function","doc":"Clears one or more ranges of values from a spreadsheet. The caller must specify the spreadsheet ID and one or more ranges. Only values are cleared -- all other properties of the cell (such as formatting, data validation, etc..) are kept. Parameters connection (GoogleApi.Sheets.V4.Connection): Connection to server spreadsheet_id (String.t): The ID of the spreadsheet to update. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (BatchClearValuesRequest): Returns {:ok, %GoogleApi.Sheets.V4.Model.BatchClearValuesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Sheets.V4.Api.Spreadsheets.html#sheets_spreadsheets_values_batch_clear_by_data_filter/4","title":"GoogleApi.Sheets.V4.Api.Spreadsheets.sheets_spreadsheets_values_batch_clear_by_data_filter/4","type":"function","doc":"Clears one or more ranges of values from a spreadsheet. The caller must specify the spreadsheet ID and one or more DataFilters. Ranges matching any of the specified data filters will be cleared. Only values are cleared -- all other properties of the cell (such as formatting, data validation, etc..) are kept. Parameters connection (GoogleApi.Sheets.V4.Connection): Connection to server spreadsheet_id (String.t): The ID of the spreadsheet to update. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (BatchClearValuesByDataFilterRequest): Returns {:ok, %GoogleApi.Sheets.V4.Model.BatchClearValuesByDataFilterResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Sheets.V4.Api.Spreadsheets.html#sheets_spreadsheets_values_batch_get/4","title":"GoogleApi.Sheets.V4.Api.Spreadsheets.sheets_spreadsheets_values_batch_get/4","type":"function","doc":"Returns one or more ranges of values from a spreadsheet. The caller must specify the spreadsheet ID and one or more ranges. Parameters connection (GoogleApi.Sheets.V4.Connection): Connection to server spreadsheet_id (String.t): The ID of the spreadsheet to retrieve data from. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :dateTimeRenderOption (String.t): How dates, times, and durations should be represented in the output. This is ignored if value_render_option is FORMATTED_VALUE. The default dateTime render option is [DateTimeRenderOption.SERIAL_NUMBER]. :majorDimension (String.t): The major dimension that results should use. For example, if the spreadsheet data is: &#x60;A1&#x3D;1,B1&#x3D;2,A2&#x3D;3,B2&#x3D;4&#x60;, then requesting &#x60;range&#x3D;A1:B2,majorDimension&#x3D;ROWS&#x60; will return &#x60;[[1,2],[3,4]]&#x60;, whereas requesting &#x60;range&#x3D;A1:B2,majorDimension&#x3D;COLUMNS&#x60; will return &#x60;[[1,3],[2,4]]&#x60;. :ranges ([String.t]): The A1 notation of the values to retrieve. :valueRenderOption (String.t): How values should be represented in the output. The default render option is ValueRenderOption.FORMATTED_VALUE. Returns {:ok, %GoogleApi.Sheets.V4.Model.BatchGetValuesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Sheets.V4.Api.Spreadsheets.html#sheets_spreadsheets_values_batch_get_by_data_filter/4","title":"GoogleApi.Sheets.V4.Api.Spreadsheets.sheets_spreadsheets_values_batch_get_by_data_filter/4","type":"function","doc":"Returns one or more ranges of values that match the specified data filters. The caller must specify the spreadsheet ID and one or more DataFilters. Ranges that match any of the data filters in the request will be returned. Parameters connection (GoogleApi.Sheets.V4.Connection): Connection to server spreadsheet_id (String.t): The ID of the spreadsheet to retrieve data from. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (BatchGetValuesByDataFilterRequest): Returns {:ok, %GoogleApi.Sheets.V4.Model.BatchGetValuesByDataFilterResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Sheets.V4.Api.Spreadsheets.html#sheets_spreadsheets_values_batch_update/4","title":"GoogleApi.Sheets.V4.Api.Spreadsheets.sheets_spreadsheets_values_batch_update/4","type":"function","doc":"Sets values in one or more ranges of a spreadsheet. The caller must specify the spreadsheet ID, a valueInputOption, and one or more ValueRanges. Parameters connection (GoogleApi.Sheets.V4.Connection): Connection to server spreadsheet_id (String.t): The ID of the spreadsheet to update. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (BatchUpdateValuesRequest): Returns {:ok, %GoogleApi.Sheets.V4.Model.BatchUpdateValuesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Sheets.V4.Api.Spreadsheets.html#sheets_spreadsheets_values_batch_update_by_data_filter/4","title":"GoogleApi.Sheets.V4.Api.Spreadsheets.sheets_spreadsheets_values_batch_update_by_data_filter/4","type":"function","doc":"Sets values in one or more ranges of a spreadsheet. The caller must specify the spreadsheet ID, a valueInputOption, and one or more DataFilterValueRanges. Parameters connection (GoogleApi.Sheets.V4.Connection): Connection to server spreadsheet_id (String.t): The ID of the spreadsheet to update. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (BatchUpdateValuesByDataFilterRequest): Returns {:ok, %GoogleApi.Sheets.V4.Model.BatchUpdateValuesByDataFilterResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Sheets.V4.Api.Spreadsheets.html#sheets_spreadsheets_values_clear/5","title":"GoogleApi.Sheets.V4.Api.Spreadsheets.sheets_spreadsheets_values_clear/5","type":"function","doc":"Clears values from a spreadsheet. The caller must specify the spreadsheet ID and range. Only values are cleared -- all other properties of the cell (such as formatting, data validation, etc..) are kept. Parameters connection (GoogleApi.Sheets.V4.Connection): Connection to server spreadsheet_id (String.t): The ID of the spreadsheet to update. range (String.t): The A1 notation of the values to clear. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (ClearValuesRequest): Returns {:ok, %GoogleApi.Sheets.V4.Model.ClearValuesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Sheets.V4.Api.Spreadsheets.html#sheets_spreadsheets_values_get/5","title":"GoogleApi.Sheets.V4.Api.Spreadsheets.sheets_spreadsheets_values_get/5","type":"function","doc":"Returns a range of values from a spreadsheet. The caller must specify the spreadsheet ID and a range. Parameters connection (GoogleApi.Sheets.V4.Connection): Connection to server spreadsheet_id (String.t): The ID of the spreadsheet to retrieve data from. range (String.t): The A1 notation of the values to retrieve. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :dateTimeRenderOption (String.t): How dates, times, and durations should be represented in the output. This is ignored if value_render_option is FORMATTED_VALUE. The default dateTime render option is [DateTimeRenderOption.SERIAL_NUMBER]. :majorDimension (String.t): The major dimension that results should use. For example, if the spreadsheet data is: &#x60;A1&#x3D;1,B1&#x3D;2,A2&#x3D;3,B2&#x3D;4&#x60;, then requesting &#x60;range&#x3D;A1:B2,majorDimension&#x3D;ROWS&#x60; will return &#x60;[[1,2],[3,4]]&#x60;, whereas requesting &#x60;range&#x3D;A1:B2,majorDimension&#x3D;COLUMNS&#x60; will return &#x60;[[1,3],[2,4]]&#x60;. :valueRenderOption (String.t): How values should be represented in the output. The default render option is ValueRenderOption.FORMATTED_VALUE. Returns {:ok, %GoogleApi.Sheets.V4.Model.ValueRange{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Sheets.V4.Api.Spreadsheets.html#sheets_spreadsheets_values_update/5","title":"GoogleApi.Sheets.V4.Api.Spreadsheets.sheets_spreadsheets_values_update/5","type":"function","doc":"Sets values in a range of a spreadsheet. The caller must specify the spreadsheet ID, range, and a valueInputOption. Parameters connection (GoogleApi.Sheets.V4.Connection): Connection to server spreadsheet_id (String.t): The ID of the spreadsheet to update. range (String.t): The A1 notation of the values to update. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :includeValuesInResponse (boolean()): Determines if the update response should include the values of the cells that were updated. By default, responses do not include the updated values. If the range to write was larger than than the range actually written, the response will include all values in the requested range (excluding trailing empty rows and columns). :responseDateTimeRenderOption (String.t): Determines how dates, times, and durations in the response should be rendered. This is ignored if response_value_render_option is FORMATTED_VALUE. The default dateTime render option is DateTimeRenderOption.SERIAL_NUMBER. :responseValueRenderOption (String.t): Determines how values in the response should be rendered. The default render option is ValueRenderOption.FORMATTED_VALUE. :valueInputOption (String.t): How the input data should be interpreted. :body (ValueRange): Returns {:ok, %GoogleApi.Sheets.V4.Model.UpdateValuesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Sheets.V4.Connection.html","title":"GoogleApi.Sheets.V4.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.Sheets.V4."},{"ref":"GoogleApi.Sheets.V4.Connection.html#delete/3","title":"GoogleApi.Sheets.V4.Connection.delete/3","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Sheets.V4.Connection.html#delete!/3","title":"GoogleApi.Sheets.V4.Connection.delete!/3","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Sheets.V4.Connection.html#execute/2","title":"GoogleApi.Sheets.V4.Connection.execute/2","type":"function","doc":"Execute a request on this connection Returns Tesla.Env"},{"ref":"GoogleApi.Sheets.V4.Connection.html#get/3","title":"GoogleApi.Sheets.V4.Connection.get/3","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Sheets.V4.Connection.html#get!/3","title":"GoogleApi.Sheets.V4.Connection.get!/3","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Sheets.V4.Connection.html#head/3","title":"GoogleApi.Sheets.V4.Connection.head/3","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Sheets.V4.Connection.html#head!/3","title":"GoogleApi.Sheets.V4.Connection.head!/3","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Sheets.V4.Connection.html#new/0","title":"GoogleApi.Sheets.V4.Connection.new/0","type":"function","doc":"Configure an authless client connection Returns Tesla.Client.t"},{"ref":"GoogleApi.Sheets.V4.Connection.html#new/1","title":"GoogleApi.Sheets.V4.Connection.new/1","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (function arity of 1): Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.Sheets.V4.Connection.html#options/3","title":"GoogleApi.Sheets.V4.Connection.options/3","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Sheets.V4.Connection.html#options!/3","title":"GoogleApi.Sheets.V4.Connection.options!/3","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Sheets.V4.Connection.html#patch/4","title":"GoogleApi.Sheets.V4.Connection.patch/4","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Sheets.V4.Connection.html#patch!/4","title":"GoogleApi.Sheets.V4.Connection.patch!/4","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Sheets.V4.Connection.html#post/4","title":"GoogleApi.Sheets.V4.Connection.post/4","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Sheets.V4.Connection.html#post!/4","title":"GoogleApi.Sheets.V4.Connection.post!/4","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Sheets.V4.Connection.html#put/4","title":"GoogleApi.Sheets.V4.Connection.put/4","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Sheets.V4.Connection.html#put!/4","title":"GoogleApi.Sheets.V4.Connection.put!/4","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Sheets.V4.Connection.html#request/2","title":"GoogleApi.Sheets.V4.Connection.request/2","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.Sheets.V4.Connection.html#request!/2","title":"GoogleApi.Sheets.V4.Connection.request!/2","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.Sheets.V4.Connection.html#trace/3","title":"GoogleApi.Sheets.V4.Connection.trace/3","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Sheets.V4.Connection.html#trace!/3","title":"GoogleApi.Sheets.V4.Connection.trace!/3","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Sheets.V4.Connection.html#t:option/0","title":"GoogleApi.Sheets.V4.Connection.option/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Deserializer.html","title":"GoogleApi.Sheets.V4.Deserializer","type":"module","doc":"Helper functions for deserializing responses into models. This module is no longer used. Please use GoogleApi.Gax.ModelBase instead."},{"ref":"GoogleApi.Sheets.V4.Model.AddBandingRequest.html","title":"GoogleApi.Sheets.V4.Model.AddBandingRequest","type":"module","doc":"Adds a new banded range to the spreadsheet. Attributes bandedRange (BandedRange): The banded range to add. The bandedRangeId field is optional; if one is not set, an id will be randomly generated. (It is an error to specify the ID of a range that already exists.) Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.AddBandingRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.AddBandingRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.AddBandingRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.AddBandingRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.AddBandingResponse.html","title":"GoogleApi.Sheets.V4.Model.AddBandingResponse","type":"module","doc":"The result of adding a banded range. Attributes bandedRange (BandedRange): The banded range that was added. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.AddBandingResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.AddBandingResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.AddBandingResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.AddBandingResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.AddChartRequest.html","title":"GoogleApi.Sheets.V4.Model.AddChartRequest","type":"module","doc":"Adds a chart to a sheet in the spreadsheet. Attributes chart (EmbeddedChart): The chart that should be added to the spreadsheet, including the position where it should be placed. The chartId field is optional; if one is not set, an id will be randomly generated. (It is an error to specify the ID of an embedded object that already exists.) Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.AddChartRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.AddChartRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.AddChartRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.AddChartRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.AddChartResponse.html","title":"GoogleApi.Sheets.V4.Model.AddChartResponse","type":"module","doc":"The result of adding a chart to a spreadsheet. Attributes chart (EmbeddedChart): The newly added chart. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.AddChartResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.AddChartResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.AddChartResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.AddChartResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.AddConditionalFormatRuleRequest.html","title":"GoogleApi.Sheets.V4.Model.AddConditionalFormatRuleRequest","type":"module","doc":"Adds a new conditional format rule at the given index. All subsequent rules&#39; indexes are incremented. Attributes index (integer()): The zero-based index where the rule should be inserted. Defaults to: null. rule (ConditionalFormatRule): The rule to add. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.AddConditionalFormatRuleRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.AddConditionalFormatRuleRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.AddConditionalFormatRuleRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.AddConditionalFormatRuleRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.AddDimensionGroupRequest.html","title":"GoogleApi.Sheets.V4.Model.AddDimensionGroupRequest","type":"module","doc":"Creates a group over the specified range. If the requested range is a superset of the range of an existing group G, then the depth of G is incremented and this new group G&#39; has the depth of that group. For example, a group [C:D, depth 1] + [B:E] results in groups [B:E, depth 1] and [C:D, depth 2]. If the requested range is a subset of the range of an existing group G, then the depth of the new group G&#39; becomes one greater than the depth of G. For example, a group [B:E, depth 1] + [C:D] results in groups [B:E, depth 1] and [C:D, depth 2]. If the requested range starts before and ends within, or starts within and ends after, the range of an existing group G, then the range of the existing group G becomes the union of the ranges, and the new group G&#39; has depth one greater than the depth of G and range as the intersection of the ranges. For example, a group [B:D, depth 1] + [C:E] results in groups [B:E, depth 1] and [C:D, depth 2]. Attributes range (DimensionRange): The range over which to create a group. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.AddDimensionGroupRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.AddDimensionGroupRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.AddDimensionGroupRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.AddDimensionGroupRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.AddDimensionGroupResponse.html","title":"GoogleApi.Sheets.V4.Model.AddDimensionGroupResponse","type":"module","doc":"The result of adding a group. Attributes dimensionGroups ([DimensionGroup]): All groups of a dimension after adding a group to that dimension. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.AddDimensionGroupResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.AddDimensionGroupResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.AddDimensionGroupResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.AddDimensionGroupResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.AddFilterViewRequest.html","title":"GoogleApi.Sheets.V4.Model.AddFilterViewRequest","type":"module","doc":"Adds a filter view. Attributes filter (FilterView): The filter to add. The filterViewId field is optional; if one is not set, an id will be randomly generated. (It is an error to specify the ID of a filter that already exists.) Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.AddFilterViewRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.AddFilterViewRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.AddFilterViewRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.AddFilterViewRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.AddFilterViewResponse.html","title":"GoogleApi.Sheets.V4.Model.AddFilterViewResponse","type":"module","doc":"The result of adding a filter view. Attributes filter (FilterView): The newly added filter view. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.AddFilterViewResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.AddFilterViewResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.AddFilterViewResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.AddFilterViewResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.AddNamedRangeRequest.html","title":"GoogleApi.Sheets.V4.Model.AddNamedRangeRequest","type":"module","doc":"Adds a named range to the spreadsheet. Attributes namedRange (NamedRange): The named range to add. The namedRangeId field is optional; if one is not set, an id will be randomly generated. (It is an error to specify the ID of a range that already exists.) Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.AddNamedRangeRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.AddNamedRangeRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.AddNamedRangeRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.AddNamedRangeRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.AddNamedRangeResponse.html","title":"GoogleApi.Sheets.V4.Model.AddNamedRangeResponse","type":"module","doc":"The result of adding a named range. Attributes namedRange (NamedRange): The named range to add. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.AddNamedRangeResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.AddNamedRangeResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.AddNamedRangeResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.AddNamedRangeResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.AddProtectedRangeRequest.html","title":"GoogleApi.Sheets.V4.Model.AddProtectedRangeRequest","type":"module","doc":"Adds a new protected range. Attributes protectedRange (ProtectedRange): The protected range to be added. The protectedRangeId field is optional; if one is not set, an id will be randomly generated. (It is an error to specify the ID of a range that already exists.) Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.AddProtectedRangeRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.AddProtectedRangeRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.AddProtectedRangeRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.AddProtectedRangeRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.AddProtectedRangeResponse.html","title":"GoogleApi.Sheets.V4.Model.AddProtectedRangeResponse","type":"module","doc":"The result of adding a new protected range. Attributes protectedRange (ProtectedRange): The newly added protected range. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.AddProtectedRangeResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.AddProtectedRangeResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.AddProtectedRangeResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.AddProtectedRangeResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.AddSheetRequest.html","title":"GoogleApi.Sheets.V4.Model.AddSheetRequest","type":"module","doc":"Adds a new sheet. When a sheet is added at a given index, all subsequent sheets&#39; indexes are incremented. To add an object sheet, use AddChartRequest instead and specify EmbeddedObjectPosition.sheetId or EmbeddedObjectPosition.newSheet. Attributes properties (SheetProperties): The properties the new sheet should have. All properties are optional. The sheetId field is optional; if one is not set, an id will be randomly generated. (It is an error to specify the ID of a sheet that already exists.) Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.AddSheetRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.AddSheetRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.AddSheetRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.AddSheetRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.AddSheetResponse.html","title":"GoogleApi.Sheets.V4.Model.AddSheetResponse","type":"module","doc":"The result of adding a sheet. Attributes properties (SheetProperties): The properties of the newly added sheet. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.AddSheetResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.AddSheetResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.AddSheetResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.AddSheetResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.AppendCellsRequest.html","title":"GoogleApi.Sheets.V4.Model.AppendCellsRequest","type":"module","doc":"Adds new cells after the last row with data in a sheet, inserting new rows into the sheet if necessary. Attributes fields (String.t): The fields of CellData that should be updated. At least one field must be specified. The root is the CellData; &#39;row.values.&#39; should not be specified. A single &#x60;&quot;*&quot;&#x60; can be used as short-hand for listing every field. Defaults to: null. rows ([RowData]): The data to append. Defaults to: null. sheetId (integer()): The sheet ID to append the data to. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.AppendCellsRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.AppendCellsRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.AppendCellsRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.AppendCellsRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.AppendDimensionRequest.html","title":"GoogleApi.Sheets.V4.Model.AppendDimensionRequest","type":"module","doc":"Appends rows or columns to the end of a sheet. Attributes dimension (String.t): Whether rows or columns should be appended. Defaults to: null. Enum - one of [DIMENSION_UNSPECIFIED, ROWS, COLUMNS] length (integer()): The number of rows or columns to append. Defaults to: null. sheetId (integer()): The sheet to append rows or columns to. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.AppendDimensionRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.AppendDimensionRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.AppendDimensionRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.AppendDimensionRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.AppendValuesResponse.html","title":"GoogleApi.Sheets.V4.Model.AppendValuesResponse","type":"module","doc":"The response when updating a range of values in a spreadsheet. Attributes spreadsheetId (String.t): The spreadsheet the updates were applied to. Defaults to: null. tableRange (String.t): The range (in A1 notation) of the table that values are being appended to (before the values were appended). Empty if no table was found. Defaults to: null. updates (UpdateValuesResponse): Information about the updates that were applied. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.AppendValuesResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.AppendValuesResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.AppendValuesResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.AppendValuesResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.AutoFillRequest.html","title":"GoogleApi.Sheets.V4.Model.AutoFillRequest","type":"module","doc":"Fills in more data based on existing data. Attributes range (GridRange): The range to autofill. This will examine the range and detect the location that has data and automatically fill that data in to the rest of the range. Defaults to: null. sourceAndDestination (SourceAndDestination): The source and destination areas to autofill. This explicitly lists the source of the autofill and where to extend that data. Defaults to: null. useAlternateSeries (boolean()): True if we should generate data with the &quot;alternate&quot; series. This differs based on the type and amount of source data. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.AutoFillRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.AutoFillRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.AutoFillRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.AutoFillRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.AutoResizeDimensionsRequest.html","title":"GoogleApi.Sheets.V4.Model.AutoResizeDimensionsRequest","type":"module","doc":"Automatically resizes one or more dimensions based on the contents of the cells in that dimension. Attributes dimensions (DimensionRange): The dimensions to automatically resize. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.AutoResizeDimensionsRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.AutoResizeDimensionsRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.AutoResizeDimensionsRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.AutoResizeDimensionsRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BandedRange.html","title":"GoogleApi.Sheets.V4.Model.BandedRange","type":"module","doc":"A banded (alternating colors) range in a sheet. Attributes bandedRangeId (integer()): The id of the banded range. Defaults to: null. columnProperties (BandingProperties): Properties for column bands. These properties are applied on a column- by-column basis throughout all the columns in the range. At least one of row_properties or column_properties must be specified. Defaults to: null. range (GridRange): The range over which these properties are applied. Defaults to: null. rowProperties (BandingProperties): Properties for row bands. These properties are applied on a row-by-row basis throughout all the rows in the range. At least one of row_properties or column_properties must be specified. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.BandedRange.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BandedRange.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BandedRange.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BandedRange.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BandingProperties.html","title":"GoogleApi.Sheets.V4.Model.BandingProperties","type":"module","doc":"Properties referring a single dimension (either row or column). If both BandedRange.row_properties and BandedRange.column_properties are set, the fill colors are applied to cells according to the following rules: header_color and footer_color take priority over band colors. first_band_color takes priority over second_band_color. * row_properties takes priority over column_properties. For example, the first row color takes priority over the first column color, but the first column color takes priority over the second row color. Similarly, the row header takes priority over the column header in the top left cell, but the column header takes priority over the first row color if the row header is not set. Attributes firstBandColor (Color): The first color that is alternating. (Required) Defaults to: null. footerColor (Color): The color of the last row or column. If this field is not set, the last row or column will be filled with either first_band_color or second_band_color, depending on the color of the previous row or column. Defaults to: null. headerColor (Color): The color of the first row or column. If this field is set, the first row or column will be filled with this color and the colors will alternate between first_band_color and second_band_color starting from the second row or column. Otherwise, the first row or column will be filled with first_band_color and the colors will proceed to alternate as they normally would. Defaults to: null. secondBandColor (Color): The second color that is alternating. (Required) Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.BandingProperties.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BandingProperties.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BandingProperties.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BandingProperties.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BasicChartAxis.html","title":"GoogleApi.Sheets.V4.Model.BasicChartAxis","type":"module","doc":"An axis of the chart. A chart may not have more than one axis per axis position. Attributes format (TextFormat): The format of the title. Only valid if the axis is not associated with the domain. Defaults to: null. position (String.t): The position of this axis. Defaults to: null. Enum - one of [BASIC_CHART_AXIS_POSITION_UNSPECIFIED, BOTTOM_AXIS, LEFT_AXIS, RIGHT_AXIS] title (String.t): The title of this axis. If set, this overrides any title inferred from headers of the data. Defaults to: null. titleTextPosition (TextPosition): The axis title text position. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.BasicChartAxis.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BasicChartAxis.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BasicChartAxis.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BasicChartAxis.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BasicChartDomain.html","title":"GoogleApi.Sheets.V4.Model.BasicChartDomain","type":"module","doc":"The domain of a chart. For example, if charting stock prices over time, this would be the date. Attributes domain (ChartData): The data of the domain. For example, if charting stock prices over time, this is the data representing the dates. Defaults to: null. reversed (boolean()): True to reverse the order of the domain values (horizontal axis). Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.BasicChartDomain.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BasicChartDomain.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BasicChartDomain.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BasicChartDomain.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BasicChartSeries.html","title":"GoogleApi.Sheets.V4.Model.BasicChartSeries","type":"module","doc":"A single series of data in a chart. For example, if charting stock prices over time, multiple series may exist, one for the &quot;Open Price&quot;, &quot;High Price&quot;, &quot;Low Price&quot; and &quot;Close Price&quot;. Attributes color (Color): The color for elements (i.e. bars, lines, points) associated with this series. If empty, a default color is used. Defaults to: null. lineStyle (LineStyle): The line style of this series. Valid only if the chartType is AREA, LINE, or SCATTER. COMBO charts are also supported if the series chart type is AREA or LINE. Defaults to: null. series (ChartData): The data being visualized in this chart series. Defaults to: null. targetAxis (String.t): The minor axis that will specify the range of values for this series. For example, if charting stocks over time, the &quot;Volume&quot; series may want to be pinned to the right with the prices pinned to the left, because the scale of trading volume is different than the scale of prices. It is an error to specify an axis that isn&#39;t a valid minor axis for the chart&#39;s type. Defaults to: null. Enum - one of [BASIC_CHART_AXIS_POSITION_UNSPECIFIED, BOTTOM_AXIS, LEFT_AXIS, RIGHT_AXIS] type (String.t): The type of this series. Valid only if the chartType is COMBO. Different types will change the way the series is visualized. Only LINE, AREA, and COLUMN are supported. Defaults to: null. Enum - one of [BASIC_CHART_TYPE_UNSPECIFIED, BAR, LINE, AREA, COLUMN, SCATTER, COMBO, STEPPED_AREA]"},{"ref":"GoogleApi.Sheets.V4.Model.BasicChartSeries.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BasicChartSeries.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BasicChartSeries.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BasicChartSeries.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BasicChartSpec.html","title":"GoogleApi.Sheets.V4.Model.BasicChartSpec","type":"module","doc":"The specification for a basic chart. See BasicChartType for the list of charts this supports. Attributes axis ([BasicChartAxis]): The axis on the chart. Defaults to: null. chartType (String.t): The type of the chart. Defaults to: null. Enum - one of [BASIC_CHART_TYPE_UNSPECIFIED, BAR, LINE, AREA, COLUMN, SCATTER, COMBO, STEPPED_AREA] compareMode (String.t): The behavior of tooltips and data highlighting when hovering on data and chart area. Defaults to: null. Enum - one of [BASIC_CHART_COMPARE_MODE_UNSPECIFIED, DATUM, CATEGORY] domains ([BasicChartDomain]): The domain of data this is charting. Only a single domain is supported. Defaults to: null. headerCount (integer()): The number of rows or columns in the data that are &quot;headers&quot;. If not set, Google Sheets will guess how many rows are headers based on the data. (Note that BasicChartAxis.title may override the axis title inferred from the header values.) Defaults to: null. interpolateNulls (boolean()): If some values in a series are missing, gaps may appear in the chart (e.g, segments of lines in a line chart will be missing). To eliminate these gaps set this to true. Applies to Line, Area, and Combo charts. Defaults to: null. legendPosition (String.t): The position of the chart legend. Defaults to: null. Enum - one of [BASIC_CHART_LEGEND_POSITION_UNSPECIFIED, BOTTOM_LEGEND, LEFT_LEGEND, RIGHT_LEGEND, TOP_LEGEND, NO_LEGEND] lineSmoothing (boolean()): Gets whether all lines should be rendered smooth or straight by default. Applies to Line charts. Defaults to: null. series ([BasicChartSeries]): The data this chart is visualizing. Defaults to: null. stackedType (String.t): The stacked type for charts that support vertical stacking. Applies to Area, Bar, Column, Combo, and Stepped Area charts. Defaults to: null. Enum - one of [BASIC_CHART_STACKED_TYPE_UNSPECIFIED, NOT_STACKED, STACKED, PERCENT_STACKED] threeDimensional (boolean()): True to make the chart 3D. Applies to Bar and Column charts. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.BasicChartSpec.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BasicChartSpec.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BasicChartSpec.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BasicChartSpec.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BasicFilter.html","title":"GoogleApi.Sheets.V4.Model.BasicFilter","type":"module","doc":"The default filter associated with a sheet. Attributes criteria (%{optional(String.t) &#x3D;&gt; FilterCriteria}): The criteria for showing/hiding values per column. The map&#39;s key is the column index, and the value is the criteria for that column. Defaults to: null. range (GridRange): The range the filter covers. Defaults to: null. sortSpecs ([SortSpec]): The sort order per column. Later specifications are used when values are equal in the earlier specifications. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.BasicFilter.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BasicFilter.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BasicFilter.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BasicFilter.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BatchClearValuesByDataFilterRequest.html","title":"GoogleApi.Sheets.V4.Model.BatchClearValuesByDataFilterRequest","type":"module","doc":"The request for clearing more than one range selected by a DataFilter in a spreadsheet. Attributes dataFilters ([DataFilter]): The DataFilters used to determine which ranges to clear. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.BatchClearValuesByDataFilterRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BatchClearValuesByDataFilterRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BatchClearValuesByDataFilterRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BatchClearValuesByDataFilterRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BatchClearValuesByDataFilterResponse.html","title":"GoogleApi.Sheets.V4.Model.BatchClearValuesByDataFilterResponse","type":"module","doc":"The response when clearing a range of values selected with DataFilters in a spreadsheet. Attributes clearedRanges ([String.t]): The ranges that were cleared, in A1 notation. (If the requests were for an unbounded range or a ranger larger than the bounds of the sheet, this will be the actual ranges that were cleared, bounded to the sheet&#39;s limits.) Defaults to: null. spreadsheetId (String.t): The spreadsheet the updates were applied to. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.BatchClearValuesByDataFilterResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BatchClearValuesByDataFilterResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BatchClearValuesByDataFilterResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BatchClearValuesByDataFilterResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BatchClearValuesRequest.html","title":"GoogleApi.Sheets.V4.Model.BatchClearValuesRequest","type":"module","doc":"The request for clearing more than one range of values in a spreadsheet. Attributes ranges ([String.t]): The ranges to clear, in A1 notation. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.BatchClearValuesRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BatchClearValuesRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BatchClearValuesRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BatchClearValuesRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BatchClearValuesResponse.html","title":"GoogleApi.Sheets.V4.Model.BatchClearValuesResponse","type":"module","doc":"The response when clearing a range of values in a spreadsheet. Attributes clearedRanges ([String.t]): The ranges that were cleared, in A1 notation. (If the requests were for an unbounded range or a ranger larger than the bounds of the sheet, this will be the actual ranges that were cleared, bounded to the sheet&#39;s limits.) Defaults to: null. spreadsheetId (String.t): The spreadsheet the updates were applied to. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.BatchClearValuesResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BatchClearValuesResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BatchClearValuesResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BatchClearValuesResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BatchGetValuesByDataFilterRequest.html","title":"GoogleApi.Sheets.V4.Model.BatchGetValuesByDataFilterRequest","type":"module","doc":"The request for retrieving a range of values in a spreadsheet selected by a set of DataFilters. Attributes dataFilters ([DataFilter]): The data filters used to match the ranges of values to retrieve. Ranges that match any of the specified data filters will be included in the response. Defaults to: null. dateTimeRenderOption (String.t): How dates, times, and durations should be represented in the output. This is ignored if value_render_option is FORMATTED_VALUE. The default dateTime render option is [DateTimeRenderOption.SERIAL_NUMBER]. Defaults to: null. Enum - one of [SERIAL_NUMBER, FORMATTED_STRING] majorDimension (String.t): The major dimension that results should use. For example, if the spreadsheet data is: &#x60;A1&#x3D;1,B1&#x3D;2,A2&#x3D;3,B2&#x3D;4&#x60;, then a request that selects that range and sets &#x60;majorDimension&#x3D;ROWS&#x60; will return &#x60;[[1,2],[3,4]]&#x60;, whereas a request that sets &#x60;majorDimension&#x3D;COLUMNS&#x60; will return &#x60;[[1,3],[2,4]]&#x60;. Defaults to: null. Enum - one of [DIMENSION_UNSPECIFIED, ROWS, COLUMNS] valueRenderOption (String.t): How values should be represented in the output. The default render option is ValueRenderOption.FORMATTED_VALUE. Defaults to: null. Enum - one of [FORMATTED_VALUE, UNFORMATTED_VALUE, FORMULA]"},{"ref":"GoogleApi.Sheets.V4.Model.BatchGetValuesByDataFilterRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BatchGetValuesByDataFilterRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BatchGetValuesByDataFilterRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BatchGetValuesByDataFilterRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BatchGetValuesByDataFilterResponse.html","title":"GoogleApi.Sheets.V4.Model.BatchGetValuesByDataFilterResponse","type":"module","doc":"The response when retrieving more than one range of values in a spreadsheet selected by DataFilters. Attributes spreadsheetId (String.t): The ID of the spreadsheet the data was retrieved from. Defaults to: null. valueRanges ([MatchedValueRange]): The requested values with the list of data filters that matched them. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.BatchGetValuesByDataFilterResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BatchGetValuesByDataFilterResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BatchGetValuesByDataFilterResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BatchGetValuesByDataFilterResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BatchGetValuesResponse.html","title":"GoogleApi.Sheets.V4.Model.BatchGetValuesResponse","type":"module","doc":"The response when retrieving more than one range of values in a spreadsheet. Attributes spreadsheetId (String.t): The ID of the spreadsheet the data was retrieved from. Defaults to: null. valueRanges ([ValueRange]): The requested values. The order of the ValueRanges is the same as the order of the requested ranges. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.BatchGetValuesResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BatchGetValuesResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BatchGetValuesResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BatchGetValuesResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BatchUpdateSpreadsheetRequest.html","title":"GoogleApi.Sheets.V4.Model.BatchUpdateSpreadsheetRequest","type":"module","doc":"The request for updating any aspect of a spreadsheet. Attributes includeSpreadsheetInResponse (boolean()): Determines if the update response should include the spreadsheet resource. Defaults to: null. requests ([Request]): A list of updates to apply to the spreadsheet. Requests will be applied in the order they are specified. If any request is not valid, no requests will be applied. Defaults to: null. responseIncludeGridData (boolean()): True if grid data should be returned. Meaningful only if if include_spreadsheet_in_response is &#39;true&#39;. This parameter is ignored if a field mask was set in the request. Defaults to: null. responseRanges ([String.t]): Limits the ranges included in the response spreadsheet. Meaningful only if include_spreadsheet_response is &#39;true&#39;. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.BatchUpdateSpreadsheetRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BatchUpdateSpreadsheetRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BatchUpdateSpreadsheetRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BatchUpdateSpreadsheetRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BatchUpdateSpreadsheetResponse.html","title":"GoogleApi.Sheets.V4.Model.BatchUpdateSpreadsheetResponse","type":"module","doc":"The reply for batch updating a spreadsheet. Attributes replies ([Response]): The reply of the updates. This maps 1:1 with the updates, although replies to some requests may be empty. Defaults to: null. spreadsheetId (String.t): The spreadsheet the updates were applied to. Defaults to: null. updatedSpreadsheet (Spreadsheet): The spreadsheet after updates were applied. This is only set if [BatchUpdateSpreadsheetRequest.include_spreadsheet_in_response] is &#x60;true&#x60;. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.BatchUpdateSpreadsheetResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BatchUpdateSpreadsheetResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BatchUpdateSpreadsheetResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BatchUpdateSpreadsheetResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesByDataFilterRequest.html","title":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesByDataFilterRequest","type":"module","doc":"The request for updating more than one range of values in a spreadsheet. Attributes data ([DataFilterValueRange]): The new values to apply to the spreadsheet. If more than one range is matched by the specified DataFilter the specified values will be applied to all of those ranges. Defaults to: null. includeValuesInResponse (boolean()): Determines if the update response should include the values of the cells that were updated. By default, responses do not include the updated values. The &#x60;updatedData&#x60; field within each of the BatchUpdateValuesResponse.responses will contain the updated values. If the range to write was larger than than the range actually written, the response will include all values in the requested range (excluding trailing empty rows and columns). Defaults to: null. responseDateTimeRenderOption (String.t): Determines how dates, times, and durations in the response should be rendered. This is ignored if response_value_render_option is FORMATTED_VALUE. The default dateTime render option is DateTimeRenderOption.SERIAL_NUMBER. Defaults to: null. Enum - one of [SERIAL_NUMBER, FORMATTED_STRING] responseValueRenderOption (String.t): Determines how values in the response should be rendered. The default render option is ValueRenderOption.FORMATTED_VALUE. Defaults to: null. Enum - one of [FORMATTED_VALUE, UNFORMATTED_VALUE, FORMULA] valueInputOption (String.t): How the input data should be interpreted. Defaults to: null. Enum - one of [INPUT_VALUE_OPTION_UNSPECIFIED, RAW, USER_ENTERED]"},{"ref":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesByDataFilterRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesByDataFilterRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesByDataFilterRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesByDataFilterRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesByDataFilterResponse.html","title":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesByDataFilterResponse","type":"module","doc":"The response when updating a range of values in a spreadsheet. Attributes responses ([UpdateValuesByDataFilterResponse]): The response for each range updated. Defaults to: null. spreadsheetId (String.t): The spreadsheet the updates were applied to. Defaults to: null. totalUpdatedCells (integer()): The total number of cells updated. Defaults to: null. totalUpdatedColumns (integer()): The total number of columns where at least one cell in the column was updated. Defaults to: null. totalUpdatedRows (integer()): The total number of rows where at least one cell in the row was updated. Defaults to: null. totalUpdatedSheets (integer()): The total number of sheets where at least one cell in the sheet was updated. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesByDataFilterResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesByDataFilterResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesByDataFilterResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesByDataFilterResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesRequest.html","title":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesRequest","type":"module","doc":"The request for updating more than one range of values in a spreadsheet. Attributes data ([ValueRange]): The new values to apply to the spreadsheet. Defaults to: null. includeValuesInResponse (boolean()): Determines if the update response should include the values of the cells that were updated. By default, responses do not include the updated values. The &#x60;updatedData&#x60; field within each of the BatchUpdateValuesResponse.responses will contain the updated values. If the range to write was larger than than the range actually written, the response will include all values in the requested range (excluding trailing empty rows and columns). Defaults to: null. responseDateTimeRenderOption (String.t): Determines how dates, times, and durations in the response should be rendered. This is ignored if response_value_render_option is FORMATTED_VALUE. The default dateTime render option is DateTimeRenderOption.SERIAL_NUMBER. Defaults to: null. Enum - one of [SERIAL_NUMBER, FORMATTED_STRING] responseValueRenderOption (String.t): Determines how values in the response should be rendered. The default render option is ValueRenderOption.FORMATTED_VALUE. Defaults to: null. Enum - one of [FORMATTED_VALUE, UNFORMATTED_VALUE, FORMULA] valueInputOption (String.t): How the input data should be interpreted. Defaults to: null. Enum - one of [INPUT_VALUE_OPTION_UNSPECIFIED, RAW, USER_ENTERED]"},{"ref":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesResponse.html","title":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesResponse","type":"module","doc":"The response when updating a range of values in a spreadsheet. Attributes responses ([UpdateValuesResponse]): One UpdateValuesResponse per requested range, in the same order as the requests appeared. Defaults to: null. spreadsheetId (String.t): The spreadsheet the updates were applied to. Defaults to: null. totalUpdatedCells (integer()): The total number of cells updated. Defaults to: null. totalUpdatedColumns (integer()): The total number of columns where at least one cell in the column was updated. Defaults to: null. totalUpdatedRows (integer()): The total number of rows where at least one cell in the row was updated. Defaults to: null. totalUpdatedSheets (integer()): The total number of sheets where at least one cell in the sheet was updated. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BatchUpdateValuesResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BooleanCondition.html","title":"GoogleApi.Sheets.V4.Model.BooleanCondition","type":"module","doc":"A condition that can evaluate to true or false. BooleanConditions are used by conditional formatting, data validation, and the criteria in filters. Attributes type (String.t): The type of condition. Defaults to: null. Enum - one of [CONDITION_TYPE_UNSPECIFIED, NUMBER_GREATER, NUMBER_GREATER_THAN_EQ, NUMBER_LESS, NUMBER_LESS_THAN_EQ, NUMBER_EQ, NUMBER_NOT_EQ, NUMBER_BETWEEN, NUMBER_NOT_BETWEEN, TEXT_CONTAINS, TEXT_NOT_CONTAINS, TEXT_STARTS_WITH, TEXT_ENDS_WITH, TEXT_EQ, TEXT_IS_EMAIL, TEXT_IS_URL, DATE_EQ, DATE_BEFORE, DATE_AFTER, DATE_ON_OR_BEFORE, DATE_ON_OR_AFTER, DATE_BETWEEN, DATE_NOT_BETWEEN, DATE_IS_VALID, ONE_OF_RANGE, ONE_OF_LIST, BLANK, NOT_BLANK, CUSTOM_FORMULA, BOOLEAN] values ([ConditionValue]): The values of the condition. The number of supported values depends on the condition type. Some support zero values, others one or two values, and ConditionType.ONE_OF_LIST supports an arbitrary number of values. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.BooleanCondition.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BooleanCondition.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BooleanCondition.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BooleanCondition.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BooleanRule.html","title":"GoogleApi.Sheets.V4.Model.BooleanRule","type":"module","doc":"A rule that may or may not match, depending on the condition. Attributes condition (BooleanCondition): The condition of the rule. If the condition evaluates to true, the format is applied. Defaults to: null. format (CellFormat): The format to apply. Conditional formatting can only apply a subset of formatting: bold, italic, strikethrough, foreground color &amp; background color. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.BooleanRule.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BooleanRule.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BooleanRule.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BooleanRule.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.Border.html","title":"GoogleApi.Sheets.V4.Model.Border","type":"module","doc":"A border along a cell. Attributes color (Color): The color of the border. Defaults to: null. style (String.t): The style of the border. Defaults to: null. Enum - one of [STYLE_UNSPECIFIED, DOTTED, DASHED, SOLID, SOLID_MEDIUM, SOLID_THICK, NONE, DOUBLE] width (integer()): The width of the border, in pixels. Deprecated; the width is determined by the &quot;style&quot; field. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.Border.html#decode/2","title":"GoogleApi.Sheets.V4.Model.Border.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.Border.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.Border.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.Borders.html","title":"GoogleApi.Sheets.V4.Model.Borders","type":"module","doc":"The borders of the cell. Attributes bottom (Border): The bottom border of the cell. Defaults to: null. left (Border): The left border of the cell. Defaults to: null. right (Border): The right border of the cell. Defaults to: null. top (Border): The top border of the cell. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.Borders.html#decode/2","title":"GoogleApi.Sheets.V4.Model.Borders.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.Borders.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.Borders.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.BubbleChartSpec.html","title":"GoogleApi.Sheets.V4.Model.BubbleChartSpec","type":"module","doc":"A &lt;a href&#x3D;&quot;/chart/interactive/docs/gallery/bubblechart&quot;&gt;bubble chart&lt;/a&gt;. Attributes bubbleBorderColor (Color): The bubble border color. Defaults to: null. bubbleLabels (ChartData): The data containing the bubble labels. These do not need to be unique. Defaults to: null. bubbleMaxRadiusSize (integer()): The max radius size of the bubbles, in pixels. If specified, the field must be a positive value. Defaults to: null. bubbleMinRadiusSize (integer()): The minimum radius size of the bubbles, in pixels. If specific, the field must be a positive value. Defaults to: null. bubbleOpacity (float()): The opacity of the bubbles between 0 and 1.0. 0 is fully transparent and 1 is fully opaque. Defaults to: null. bubbleSizes (ChartData): The data contianing the bubble sizes. Bubble sizes are used to draw the bubbles at different sizes relative to each other. If specified, group_ids must also be specified. This field is optional. Defaults to: null. bubbleTextStyle (TextFormat): The format of the text inside the bubbles. Underline and Strikethrough are not supported. Defaults to: null. domain (ChartData): The data containing the bubble x-values. These values locate the bubbles in the chart horizontally. Defaults to: null. groupIds (ChartData): The data containing the bubble group IDs. All bubbles with the same group ID are drawn in the same color. If bubble_sizes is specified then this field must also be specified but may contain blank values. This field is optional. Defaults to: null. legendPosition (String.t): Where the legend of the chart should be drawn. Defaults to: null. Enum - one of [BUBBLE_CHART_LEGEND_POSITION_UNSPECIFIED, BOTTOM_LEGEND, LEFT_LEGEND, RIGHT_LEGEND, TOP_LEGEND, NO_LEGEND, INSIDE_LEGEND] series (ChartData): The data contianing the bubble y-values. These values locate the bubbles in the chart vertically. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.BubbleChartSpec.html#decode/2","title":"GoogleApi.Sheets.V4.Model.BubbleChartSpec.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.BubbleChartSpec.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.BubbleChartSpec.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.CandlestickChartSpec.html","title":"GoogleApi.Sheets.V4.Model.CandlestickChartSpec","type":"module","doc":"A &lt;a href&#x3D;&quot;/chart/interactive/docs/gallery/candlestickchart&quot;&gt;candlestick chart&lt;/a&gt;. Attributes data ([CandlestickData]): The Candlestick chart data. Only one CandlestickData is supported. Defaults to: null. domain (CandlestickDomain): The domain data (horizontal axis) for the candlestick chart. String data will be treated as discrete labels, other data will be treated as continuous values. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.CandlestickChartSpec.html#decode/2","title":"GoogleApi.Sheets.V4.Model.CandlestickChartSpec.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.CandlestickChartSpec.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.CandlestickChartSpec.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.CandlestickData.html","title":"GoogleApi.Sheets.V4.Model.CandlestickData","type":"module","doc":"The Candlestick chart data, each containing the low, open, close, and high values for a series. Attributes closeSeries (CandlestickSeries): The range data (vertical axis) for the close/final value for each candle. This is the top of the candle body. If greater than the open value the candle will be filled. Otherwise the candle will be hollow. Defaults to: null. highSeries (CandlestickSeries): The range data (vertical axis) for the high/maximum value for each candle. This is the top of the candle&#39;s center line. Defaults to: null. lowSeries (CandlestickSeries): The range data (vertical axis) for the low/minimum value for each candle. This is the bottom of the candle&#39;s center line. Defaults to: null. openSeries (CandlestickSeries): The range data (vertical axis) for the open/initial value for each candle. This is the bottom of the candle body. If less than the close value the candle will be filled. Otherwise the candle will be hollow. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.CandlestickData.html#decode/2","title":"GoogleApi.Sheets.V4.Model.CandlestickData.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.CandlestickData.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.CandlestickData.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.CandlestickDomain.html","title":"GoogleApi.Sheets.V4.Model.CandlestickDomain","type":"module","doc":"The domain of a CandlestickChart. Attributes data (ChartData): The data of the CandlestickDomain. Defaults to: null. reversed (boolean()): True to reverse the order of the domain values (horizontal axis). Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.CandlestickDomain.html#decode/2","title":"GoogleApi.Sheets.V4.Model.CandlestickDomain.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.CandlestickDomain.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.CandlestickDomain.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.CandlestickSeries.html","title":"GoogleApi.Sheets.V4.Model.CandlestickSeries","type":"module","doc":"The series of a CandlestickData. Attributes data (ChartData): The data of the CandlestickSeries. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.CandlestickSeries.html#decode/2","title":"GoogleApi.Sheets.V4.Model.CandlestickSeries.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.CandlestickSeries.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.CandlestickSeries.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.CellData.html","title":"GoogleApi.Sheets.V4.Model.CellData","type":"module","doc":"Data about a specific cell. Attributes dataValidation (DataValidationRule): A data validation rule on the cell, if any. When writing, the new data validation rule will overwrite any prior rule. Defaults to: null. effectiveFormat (CellFormat): The effective format being used by the cell. This includes the results of applying any conditional formatting and, if the cell contains a formula, the computed number format. If the effective format is the default format, effective format will not be written. This field is read-only. Defaults to: null. effectiveValue (ExtendedValue): The effective value of the cell. For cells with formulas, this is the calculated value. For cells with literals, this is the same as the user_entered_value. This field is read-only. Defaults to: null. formattedValue (String.t): The formatted value of the cell. This is the value as it&#39;s shown to the user. This field is read-only. Defaults to: null. hyperlink (String.t): A hyperlink this cell points to, if any. This field is read-only. (To set it, use a &#x60;&#x3D;HYPERLINK&#x60; formula in the userEnteredValue.formulaValue field.) Defaults to: null. note (String.t): Any note on the cell. Defaults to: null. pivotTable (PivotTable): A pivot table anchored at this cell. The size of pivot table itself is computed dynamically based on its data, grouping, filters, values, etc. Only the top-left cell of the pivot table contains the pivot table definition. The other cells will contain the calculated values of the results of the pivot in their effective_value fields. Defaults to: null. textFormatRuns ([TextFormatRun]): Runs of rich text applied to subsections of the cell. Runs are only valid on user entered strings, not formulas, bools, or numbers. Runs start at specific indexes in the text and continue until the next run. Properties of a run will continue unless explicitly changed in a subsequent run (and properties of the first run will continue the properties of the cell unless explicitly changed). When writing, the new runs will overwrite any prior runs. When writing a new user_entered_value, previous runs are erased. Defaults to: null. userEnteredFormat (CellFormat): The format the user entered for the cell. When writing, the new format will be merged with the existing format. Defaults to: null. userEnteredValue (ExtendedValue): The value the user entered in the cell. e.g, &#x60;1234&#x60;, &#x60;&#39;Hello&#39;&#x60;, or &#x60;&#x3D;NOW()&#x60; Note: Dates, Times and DateTimes are represented as doubles in serial number format. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.CellData.html#decode/2","title":"GoogleApi.Sheets.V4.Model.CellData.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.CellData.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.CellData.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.CellFormat.html","title":"GoogleApi.Sheets.V4.Model.CellFormat","type":"module","doc":"The format of a cell. Attributes backgroundColor (Color): The background color of the cell. Defaults to: null. borders (Borders): The borders of the cell. Defaults to: null. horizontalAlignment (String.t): The horizontal alignment of the value in the cell. Defaults to: null. Enum - one of [HORIZONTAL_ALIGN_UNSPECIFIED, LEFT, CENTER, RIGHT] hyperlinkDisplayType (String.t): How a hyperlink, if it exists, should be displayed in the cell. Defaults to: null. Enum - one of [HYPERLINK_DISPLAY_TYPE_UNSPECIFIED, LINKED, PLAIN_TEXT] numberFormat (NumberFormat): A format describing how number values should be represented to the user. Defaults to: null. padding (Padding): The padding of the cell. Defaults to: null. textDirection (String.t): The direction of the text in the cell. Defaults to: null. Enum - one of [TEXT_DIRECTION_UNSPECIFIED, LEFT_TO_RIGHT, RIGHT_TO_LEFT] textFormat (TextFormat): The format of the text in the cell (unless overridden by a format run). Defaults to: null. textRotation (TextRotation): The rotation applied to text in a cell Defaults to: null. verticalAlignment (String.t): The vertical alignment of the value in the cell. Defaults to: null. Enum - one of [VERTICAL_ALIGN_UNSPECIFIED, TOP, MIDDLE, BOTTOM] wrapStrategy (String.t): The wrap strategy for the value in the cell. Defaults to: null. Enum - one of [WRAP_STRATEGY_UNSPECIFIED, OVERFLOW_CELL, LEGACY_WRAP, CLIP, WRAP]"},{"ref":"GoogleApi.Sheets.V4.Model.CellFormat.html#decode/2","title":"GoogleApi.Sheets.V4.Model.CellFormat.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.CellFormat.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.CellFormat.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.ChartData.html","title":"GoogleApi.Sheets.V4.Model.ChartData","type":"module","doc":"The data included in a domain or series. Attributes sourceRange (ChartSourceRange): The source ranges of the data. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.ChartData.html#decode/2","title":"GoogleApi.Sheets.V4.Model.ChartData.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.ChartData.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.ChartData.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.ChartSourceRange.html","title":"GoogleApi.Sheets.V4.Model.ChartSourceRange","type":"module","doc":"Source ranges for a chart. Attributes sources ([GridRange]): The ranges of data for a series or domain. Exactly one dimension must have a length of 1, and all sources in the list must have the same dimension with length 1. The domain (if it exists) &amp; all series must have the same number of source ranges. If using more than one source range, then the source range at a given offset must be in order and contiguous across the domain and series. For example, these are valid configurations: domain sources: A1:A5 series1 sources: B1:B5 series2 sources: D6:D10 domain sources: A1:A5, C10:C12 series1 sources: B1:B5, D10:D12 series2 sources: C1:C5, E10:E12 Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.ChartSourceRange.html#decode/2","title":"GoogleApi.Sheets.V4.Model.ChartSourceRange.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.ChartSourceRange.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.ChartSourceRange.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.ChartSpec.html","title":"GoogleApi.Sheets.V4.Model.ChartSpec","type":"module","doc":"The specifications of a chart. Attributes altText (String.t): The alternative text that describes the chart. This is often used for accessibility. Defaults to: null. backgroundColor (Color): The background color of the entire chart. Not applicable to Org charts. Defaults to: null. basicChart (BasicChartSpec): A basic chart specification, can be one of many kinds of charts. See BasicChartType for the list of all charts this supports. Defaults to: null. bubbleChart (BubbleChartSpec): A bubble chart specification. Defaults to: null. candlestickChart (CandlestickChartSpec): A candlestick chart specification. Defaults to: null. fontName (String.t): The name of the font to use by default for all chart text (e.g. title, axis labels, legend). If a font is specified for a specific part of the chart it will override this font name. Defaults to: null. hiddenDimensionStrategy (String.t): Determines how the charts will use hidden rows or columns. Defaults to: null. Enum - one of [CHART_HIDDEN_DIMENSION_STRATEGY_UNSPECIFIED, SKIP_HIDDEN_ROWS_AND_COLUMNS, SKIP_HIDDEN_ROWS, SKIP_HIDDEN_COLUMNS, SHOW_ALL] histogramChart (HistogramChartSpec): A histogram chart specification. Defaults to: null. maximized (boolean()): True to make a chart fill the entire space in which it&#39;s rendered with minimum padding. False to use the default padding. (Not applicable to Geo and Org charts.) Defaults to: null. orgChart (OrgChartSpec): An org chart specification. Defaults to: null. pieChart (PieChartSpec): A pie chart specification. Defaults to: null. subtitle (String.t): The subtitle of the chart. Defaults to: null. subtitleTextFormat (TextFormat): The subtitle text format. Strikethrough and underline are not supported. Defaults to: null. subtitleTextPosition (TextPosition): The subtitle text position. This field is optional. Defaults to: null. title (String.t): The title of the chart. Defaults to: null. titleTextFormat (TextFormat): The title text format. Strikethrough and underline are not supported. Defaults to: null. titleTextPosition (TextPosition): The title text position. This field is optional. Defaults to: null. treemapChart (TreemapChartSpec): A treemap chart specification. Defaults to: null. waterfallChart (WaterfallChartSpec): A waterfall chart specification. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.ChartSpec.html#decode/2","title":"GoogleApi.Sheets.V4.Model.ChartSpec.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.ChartSpec.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.ChartSpec.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.ClearBasicFilterRequest.html","title":"GoogleApi.Sheets.V4.Model.ClearBasicFilterRequest","type":"module","doc":"Clears the basic filter, if any exists on the sheet. Attributes sheetId (integer()): The sheet ID on which the basic filter should be cleared. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.ClearBasicFilterRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.ClearBasicFilterRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.ClearBasicFilterRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.ClearBasicFilterRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.ClearValuesRequest.html","title":"GoogleApi.Sheets.V4.Model.ClearValuesRequest","type":"module","doc":"The request for clearing a range of values in a spreadsheet. Attributes"},{"ref":"GoogleApi.Sheets.V4.Model.ClearValuesRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.ClearValuesRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.ClearValuesRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.ClearValuesRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.ClearValuesResponse.html","title":"GoogleApi.Sheets.V4.Model.ClearValuesResponse","type":"module","doc":"The response when clearing a range of values in a spreadsheet. Attributes clearedRange (String.t): The range (in A1 notation) that was cleared. (If the request was for an unbounded range or a ranger larger than the bounds of the sheet, this will be the actual range that was cleared, bounded to the sheet&#39;s limits.) Defaults to: null. spreadsheetId (String.t): The spreadsheet the updates were applied to. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.ClearValuesResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.ClearValuesResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.ClearValuesResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.ClearValuesResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.Color.html","title":"GoogleApi.Sheets.V4.Model.Color","type":"module","doc":"Represents a color in the RGBA color space. This representation is designed for simplicity of conversion to/from color representations in various languages over compactness; for example, the fields of this representation can be trivially provided to the constructor of &quot;java.awt.Color&quot; in Java; it can also be trivially provided to UIColor&#39;s &quot;+colorWithRed:green:blue:alpha&quot; method in iOS; and, with just a little work, it can be easily formatted into a CSS &quot;rgba()&quot; string in JavaScript, as well. Note: this proto does not carry information about the absolute color space that should be used to interpret the RGB value (e.g. sRGB, Adobe RGB, DCI-P3, BT.2020, etc.). By default, applications SHOULD assume the sRGB color space. Example (Java): import com.google.type.Color; // ... public static java.awt.Color fromProto(Color protocolor) { float alpha &#x3D; protocolor.hasAlpha() ? protocolor.getAlpha().getValue() : 1.0; return new java.awt.Color( protocolor.getRed(), protocolor.getGreen(), protocolor.getBlue(), alpha); } public static Color toProto(java.awt.Color color) { float red &#x3D; (float) color.getRed(); float green &#x3D; (float) color.getGreen(); float blue &#x3D; (float) color.getBlue(); float denominator &#x3D; 255.0; Color.Builder resultBuilder &#x3D; Color .newBuilder() .setRed(red / denominator) .setGreen(green / denominator) .setBlue(blue / denominator); int alpha &#x3D; color.getAlpha(); if (alpha !&#x3D; 255) { result.setAlpha( FloatValue .newBuilder() .setValue(((float) alpha) / denominator) .build()); } return resultBuilder.build(); } // ... Example (iOS / Obj-C): // ... static UIColor fromProto(Color protocolor) { float red &#x3D; [protocolor red]; float green &#x3D; [protocolor green]; float blue &#x3D; [protocolor blue]; FloatValue alpha_wrapper &#x3D; [protocolor alpha]; float alpha &#x3D; 1.0; if (alpha_wrapper !&#x3D; nil) { alpha &#x3D; [alpha_wrapper value]; } return [UIColor colorWithRed:red green:green blue:blue alpha:alpha]; } static Color toProto(UIColor color) { CGFloat red, green, blue, alpha; if (![color getRed:&amp;red green:&amp;green blue:&amp;blue alpha:&amp;alpha]) { return nil; } Color result &#x3D; [[Color alloc] init]; [result setRed:red]; [result setGreen:green]; [result setBlue:blue]; if (alpha &lt;&#x3D; 0.9999) { [result setAlpha:floatWrapperWithValue(alpha)]; } [result autorelease]; return result; } // ... Example (JavaScript): // ... var protoToCssColor &#x3D; function(rgbcolor) { var redFrac &#x3D; rgb_color.red || 0.0; var greenFrac &#x3D; rgb_color.green || 0.0; var blueFrac &#x3D; rgb_color.blue || 0.0; var red &#x3D; Math.floor(redFrac 255); var green &#x3D; Math.floor(greenFrac 255); var blue &#x3D; Math.floor(blueFrac * 255); if (!(&#39;alpha&#39; in rgb_color)) { return rgbToCssColor(red, green, blue); } var alphaFrac &#x3D; rgbcolor.alpha.value || 0.0; var rgbParams &#x3D; [red, green, blue].join(&#39;,&#39;); return [&#39;rgba(&#39;, rgbParams, &#39;,&#39;, alphaFrac, &#39;)&#39;].join(&#39;&#39;); }; var rgbToCssColor &#x3D; function(red, green, blue) { var rgbNumber &#x3D; new Number((red &lt;&lt; 16) | (green &lt;&lt; 8) | blue); var hexString &#x3D; rgbNumber.toString(16); var missingZeros &#x3D; 6 - hexString.length; var resultBuilder &#x3D; [&#39;#&#39;]; for (var i &#x3D; 0; i &lt; missingZeros; i++) { resultBuilder.push(&#39;0&#39;); } resultBuilder.push(hexString); return resultBuilder.join(&#39;&#39;); }; // ... Attributes alpha (float()): The fraction of this color that should be applied to the pixel. That is, the final pixel color is defined by the equation: pixel color &#x3D; alpha (this color) + (1.0 - alpha) (background color) This means that a value of 1.0 corresponds to a solid color, whereas a value of 0.0 corresponds to a completely transparent color. This uses a wrapper message rather than a simple float scalar so that it is possible to distinguish between a default value and the value being unset. If omitted, this color object is to be rendered as a solid color (as if the alpha value had been explicitly given with a value of 1.0). Defaults to: null. blue (float()): The amount of blue in the color as a value in the interval [0, 1]. Defaults to: null. green (float()): The amount of green in the color as a value in the interval [0, 1]. Defaults to: null. red (float()): The amount of red in the color as a value in the interval [0, 1]. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.Color.html#decode/2","title":"GoogleApi.Sheets.V4.Model.Color.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.Color.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.Color.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.ConditionValue.html","title":"GoogleApi.Sheets.V4.Model.ConditionValue","type":"module","doc":"The value of the condition. Attributes relativeDate (String.t): A relative date (based on the current date). Valid only if the type is DATE_BEFORE, DATE_AFTER, DATE_ON_OR_BEFORE or DATE_ON_OR_AFTER. Relative dates are not supported in data validation. They are supported only in conditional formatting and conditional filters. Defaults to: null. Enum - one of [RELATIVE_DATE_UNSPECIFIED, PAST_YEAR, PAST_MONTH, PAST_WEEK, YESTERDAY, TODAY, TOMORROW] userEnteredValue (String.t): A value the condition is based on. The value is parsed as if the user typed into a cell. Formulas are supported (and must begin with an &#x60;&#x3D;&#x60; or a &#39;+&#39;). Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.ConditionValue.html#decode/2","title":"GoogleApi.Sheets.V4.Model.ConditionValue.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.ConditionValue.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.ConditionValue.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.ConditionalFormatRule.html","title":"GoogleApi.Sheets.V4.Model.ConditionalFormatRule","type":"module","doc":"A rule describing a conditional format. Attributes booleanRule (BooleanRule): The formatting is either &quot;on&quot; or &quot;off&quot; according to the rule. Defaults to: null. gradientRule (GradientRule): The formatting will vary based on the gradients in the rule. Defaults to: null. ranges ([GridRange]): The ranges that are formatted if the condition is true. All the ranges must be on the same grid. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.ConditionalFormatRule.html#decode/2","title":"GoogleApi.Sheets.V4.Model.ConditionalFormatRule.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.ConditionalFormatRule.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.ConditionalFormatRule.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.CopyPasteRequest.html","title":"GoogleApi.Sheets.V4.Model.CopyPasteRequest","type":"module","doc":"Copies data from the source to the destination. Attributes destination (GridRange): The location to paste to. If the range covers a span that&#39;s a multiple of the source&#39;s height or width, then the data will be repeated to fill in the destination range. If the range is smaller than the source range, the entire source data will still be copied (beyond the end of the destination range). Defaults to: null. pasteOrientation (String.t): How that data should be oriented when pasting. Defaults to: null. Enum - one of [NORMAL, TRANSPOSE] pasteType (String.t): What kind of data to paste. Defaults to: null. Enum - one of [PASTE_NORMAL, PASTE_VALUES, PASTE_FORMAT, PASTE_NO_BORDERS, PASTE_FORMULA, PASTE_DATA_VALIDATION, PASTE_CONDITIONAL_FORMATTING] source (GridRange): The source range to copy. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.CopyPasteRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.CopyPasteRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.CopyPasteRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.CopyPasteRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.CopySheetToAnotherSpreadsheetRequest.html","title":"GoogleApi.Sheets.V4.Model.CopySheetToAnotherSpreadsheetRequest","type":"module","doc":"The request to copy a sheet across spreadsheets. Attributes destinationSpreadsheetId (String.t): The ID of the spreadsheet to copy the sheet to. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.CopySheetToAnotherSpreadsheetRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.CopySheetToAnotherSpreadsheetRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.CopySheetToAnotherSpreadsheetRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.CopySheetToAnotherSpreadsheetRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.CreateDeveloperMetadataRequest.html","title":"GoogleApi.Sheets.V4.Model.CreateDeveloperMetadataRequest","type":"module","doc":"A request to create developer metadata. Attributes developerMetadata (DeveloperMetadata): The developer metadata to create. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.CreateDeveloperMetadataRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.CreateDeveloperMetadataRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.CreateDeveloperMetadataRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.CreateDeveloperMetadataRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.CreateDeveloperMetadataResponse.html","title":"GoogleApi.Sheets.V4.Model.CreateDeveloperMetadataResponse","type":"module","doc":"The response from creating developer metadata. Attributes developerMetadata (DeveloperMetadata): The developer metadata that was created. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.CreateDeveloperMetadataResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.CreateDeveloperMetadataResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.CreateDeveloperMetadataResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.CreateDeveloperMetadataResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.CutPasteRequest.html","title":"GoogleApi.Sheets.V4.Model.CutPasteRequest","type":"module","doc":"Moves data from the source to the destination. Attributes destination (GridCoordinate): The top-left coordinate where the data should be pasted. Defaults to: null. pasteType (String.t): What kind of data to paste. All the source data will be cut, regardless of what is pasted. Defaults to: null. Enum - one of [PASTE_NORMAL, PASTE_VALUES, PASTE_FORMAT, PASTE_NO_BORDERS, PASTE_FORMULA, PASTE_DATA_VALIDATION, PASTE_CONDITIONAL_FORMATTING] source (GridRange): The source data to cut. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.CutPasteRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.CutPasteRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.CutPasteRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.CutPasteRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DataFilter.html","title":"GoogleApi.Sheets.V4.Model.DataFilter","type":"module","doc":"Filter that describes what data should be selected or returned from a request. Attributes a1Range (String.t): Selects data that matches the specified A1 range. Defaults to: null. developerMetadataLookup (DeveloperMetadataLookup): Selects data associated with the developer metadata matching the criteria described by this DeveloperMetadataLookup. Defaults to: null. gridRange (GridRange): Selects data that matches the range described by the GridRange. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DataFilter.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DataFilter.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DataFilter.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DataFilter.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DataFilterValueRange.html","title":"GoogleApi.Sheets.V4.Model.DataFilterValueRange","type":"module","doc":"A range of values whose location is specified by a DataFilter. Attributes dataFilter (DataFilter): The data filter describing the location of the values in the spreadsheet. Defaults to: null. majorDimension (String.t): The major dimension of the values. Defaults to: null. Enum - one of [DIMENSION_UNSPECIFIED, ROWS, COLUMNS] values ([[ErrorUnknown]]): The data to be written. If the provided values exceed any of the ranges matched by the data filter then the request will fail. If the provided values are less than the matched ranges only the specified values will be written, existing values in the matched ranges will remain unaffected. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DataFilterValueRange.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DataFilterValueRange.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DataFilterValueRange.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DataFilterValueRange.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DataValidationRule.html","title":"GoogleApi.Sheets.V4.Model.DataValidationRule","type":"module","doc":"A data validation rule. Attributes condition (BooleanCondition): The condition that data in the cell must match. Defaults to: null. inputMessage (String.t): A message to show the user when adding data to the cell. Defaults to: null. showCustomUi (boolean()): True if the UI should be customized based on the kind of condition. If true, &quot;List&quot; conditions will show a dropdown. Defaults to: null. strict (boolean()): True if invalid data should be rejected. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DataValidationRule.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DataValidationRule.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DataValidationRule.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DataValidationRule.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DateTimeRule.html","title":"GoogleApi.Sheets.V4.Model.DateTimeRule","type":"module","doc":"Allows you to organize the date-time values in a source data column into buckets based on selected parts of their date or time values. For example, consider a pivot table showing sales transactions by date: +----------+--------------+ | Date | SUM of Sales | +----------+--------------+ | 1/1/2017 | $621.14 | | 2/3/2017 | $708.84 | | 5/8/2017 | $326.84 | ... +----------+--------------+ Applying a date-time group rule with a DateTimeRuleType of YEAR_MONTH results in the following pivot table. +--------------+--------------+ | Grouped Date | SUM of Sales | +--------------+--------------+ | 2017-Jan | $53,731.78 | | 2017-Feb | $83,475.32 | | 2017-Mar | $94,385.05 | ... +--------------+--------------+ Attributes type (String.t): The type of date-time grouping to apply. Defaults to: null. Enum - one of [DATE_TIME_RULE_TYPE_UNSPECIFIED, SECOND, MINUTE, HOUR, HOUR_MINUTE, HOUR_MINUTE_AMPM, DAY_OF_WEEK, DAY_OF_YEAR, DAY_OF_MONTH, DAY_MONTH, MONTH, QUARTER, YEAR, YEAR_MONTH, YEAR_QUARTER, YEAR_MONTH_DAY]"},{"ref":"GoogleApi.Sheets.V4.Model.DateTimeRule.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DateTimeRule.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DateTimeRule.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DateTimeRule.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DeleteBandingRequest.html","title":"GoogleApi.Sheets.V4.Model.DeleteBandingRequest","type":"module","doc":"Removes the banded range with the given ID from the spreadsheet. Attributes bandedRangeId (integer()): The ID of the banded range to delete. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteBandingRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DeleteBandingRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteBandingRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DeleteBandingRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DeleteConditionalFormatRuleRequest.html","title":"GoogleApi.Sheets.V4.Model.DeleteConditionalFormatRuleRequest","type":"module","doc":"Deletes a conditional format rule at the given index. All subsequent rules&#39; indexes are decremented. Attributes index (integer()): The zero-based index of the rule to be deleted. Defaults to: null. sheetId (integer()): The sheet the rule is being deleted from. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteConditionalFormatRuleRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DeleteConditionalFormatRuleRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteConditionalFormatRuleRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DeleteConditionalFormatRuleRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DeleteConditionalFormatRuleResponse.html","title":"GoogleApi.Sheets.V4.Model.DeleteConditionalFormatRuleResponse","type":"module","doc":"The result of deleting a conditional format rule. Attributes rule (ConditionalFormatRule): The rule that was deleted. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteConditionalFormatRuleResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DeleteConditionalFormatRuleResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteConditionalFormatRuleResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DeleteConditionalFormatRuleResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DeleteDeveloperMetadataRequest.html","title":"GoogleApi.Sheets.V4.Model.DeleteDeveloperMetadataRequest","type":"module","doc":"A request to delete developer metadata. Attributes dataFilter (DataFilter): The data filter describing the criteria used to select which developer metadata entry to delete. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteDeveloperMetadataRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DeleteDeveloperMetadataRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteDeveloperMetadataRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DeleteDeveloperMetadataRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DeleteDeveloperMetadataResponse.html","title":"GoogleApi.Sheets.V4.Model.DeleteDeveloperMetadataResponse","type":"module","doc":"The response from deleting developer metadata. Attributes deletedDeveloperMetadata ([DeveloperMetadata]): The metadata that was deleted. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteDeveloperMetadataResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DeleteDeveloperMetadataResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteDeveloperMetadataResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DeleteDeveloperMetadataResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DeleteDimensionGroupRequest.html","title":"GoogleApi.Sheets.V4.Model.DeleteDimensionGroupRequest","type":"module","doc":"Deletes a group over the specified range by decrementing the depth of the dimensions in the range. For example, assume the sheet has a depth-1 group over B:E and a depth-2 group over C:D. Deleting a group over D:E leaves the sheet with a depth-1 group over B:D and a depth-2 group over C:C. Attributes range (DimensionRange): The range of the group to be deleted. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteDimensionGroupRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DeleteDimensionGroupRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteDimensionGroupRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DeleteDimensionGroupRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DeleteDimensionGroupResponse.html","title":"GoogleApi.Sheets.V4.Model.DeleteDimensionGroupResponse","type":"module","doc":"The result of deleting a group. Attributes dimensionGroups ([DimensionGroup]): All groups of a dimension after deleting a group from that dimension. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteDimensionGroupResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DeleteDimensionGroupResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteDimensionGroupResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DeleteDimensionGroupResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DeleteDimensionRequest.html","title":"GoogleApi.Sheets.V4.Model.DeleteDimensionRequest","type":"module","doc":"Deletes the dimensions from the sheet. Attributes range (DimensionRange): The dimensions to delete from the sheet. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteDimensionRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DeleteDimensionRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteDimensionRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DeleteDimensionRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DeleteEmbeddedObjectRequest.html","title":"GoogleApi.Sheets.V4.Model.DeleteEmbeddedObjectRequest","type":"module","doc":"Deletes the embedded object with the given ID. Attributes objectId (integer()): The ID of the embedded object to delete. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteEmbeddedObjectRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DeleteEmbeddedObjectRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteEmbeddedObjectRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DeleteEmbeddedObjectRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DeleteFilterViewRequest.html","title":"GoogleApi.Sheets.V4.Model.DeleteFilterViewRequest","type":"module","doc":"Deletes a particular filter view. Attributes filterId (integer()): The ID of the filter to delete. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteFilterViewRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DeleteFilterViewRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteFilterViewRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DeleteFilterViewRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DeleteNamedRangeRequest.html","title":"GoogleApi.Sheets.V4.Model.DeleteNamedRangeRequest","type":"module","doc":"Removes the named range with the given ID from the spreadsheet. Attributes namedRangeId (String.t): The ID of the named range to delete. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteNamedRangeRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DeleteNamedRangeRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteNamedRangeRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DeleteNamedRangeRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DeleteProtectedRangeRequest.html","title":"GoogleApi.Sheets.V4.Model.DeleteProtectedRangeRequest","type":"module","doc":"Deletes the protected range with the given ID. Attributes protectedRangeId (integer()): The ID of the protected range to delete. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteProtectedRangeRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DeleteProtectedRangeRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteProtectedRangeRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DeleteProtectedRangeRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DeleteRangeRequest.html","title":"GoogleApi.Sheets.V4.Model.DeleteRangeRequest","type":"module","doc":"Deletes a range of cells, shifting other cells into the deleted area. Attributes range (GridRange): The range of cells to delete. Defaults to: null. shiftDimension (String.t): The dimension from which deleted cells will be replaced with. If ROWS, existing cells will be shifted upward to replace the deleted cells. If COLUMNS, existing cells will be shifted left to replace the deleted cells. Defaults to: null. Enum - one of [DIMENSION_UNSPECIFIED, ROWS, COLUMNS]"},{"ref":"GoogleApi.Sheets.V4.Model.DeleteRangeRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DeleteRangeRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteRangeRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DeleteRangeRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DeleteSheetRequest.html","title":"GoogleApi.Sheets.V4.Model.DeleteSheetRequest","type":"module","doc":"Deletes the requested sheet. Attributes sheetId (integer()): The ID of the sheet to delete. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteSheetRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DeleteSheetRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DeleteSheetRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DeleteSheetRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DeveloperMetadata.html","title":"GoogleApi.Sheets.V4.Model.DeveloperMetadata","type":"module","doc":"Developer metadata associated with a location or object in a spreadsheet. Developer metadata may be used to associate arbitrary data with various parts of a spreadsheet and will remain associated at those locations as they move around and the spreadsheet is edited. For example, if developer metadata is associated with row 5 and another row is then subsequently inserted above row 5, that original metadata will still be associated with the row it was first associated with (what is now row 6). If the associated object is deleted its metadata is deleted too. Attributes location (DeveloperMetadataLocation): The location where the metadata is associated. Defaults to: null. metadataId (integer()): The spreadsheet-scoped unique ID that identifies the metadata. IDs may be specified when metadata is created, otherwise one will be randomly generated and assigned. Must be positive. Defaults to: null. metadataKey (String.t): The metadata key. There may be multiple metadata in a spreadsheet with the same key. Developer metadata must always have a key specified. Defaults to: null. metadataValue (String.t): Data associated with the metadata&#39;s key. Defaults to: null. visibility (String.t): The metadata visibility. Developer metadata must always have a visibility specified. Defaults to: null. Enum - one of [DEVELOPER_METADATA_VISIBILITY_UNSPECIFIED, DOCUMENT, PROJECT]"},{"ref":"GoogleApi.Sheets.V4.Model.DeveloperMetadata.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DeveloperMetadata.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DeveloperMetadata.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DeveloperMetadata.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DeveloperMetadataLocation.html","title":"GoogleApi.Sheets.V4.Model.DeveloperMetadataLocation","type":"module","doc":"A location where metadata may be associated in a spreadsheet. Attributes dimensionRange (DimensionRange): Represents the row or column when metadata is associated with a dimension. The specified DimensionRange must represent a single row or column; it cannot be unbounded or span multiple rows or columns. Defaults to: null. locationType (String.t): The type of location this object represents. This field is read-only. Defaults to: null. Enum - one of [DEVELOPER_METADATA_LOCATION_TYPE_UNSPECIFIED, ROW, COLUMN, SHEET, SPREADSHEET] sheetId (integer()): The ID of the sheet when metadata is associated with an entire sheet. Defaults to: null. spreadsheet (boolean()): True when metadata is associated with an entire spreadsheet. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DeveloperMetadataLocation.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DeveloperMetadataLocation.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DeveloperMetadataLocation.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DeveloperMetadataLocation.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DeveloperMetadataLookup.html","title":"GoogleApi.Sheets.V4.Model.DeveloperMetadataLookup","type":"module","doc":"Selects DeveloperMetadata that matches all of the specified fields. For example, if only a metadata ID is specified this considers the DeveloperMetadata with that particular unique ID. If a metadata key is specified, this considers all developer metadata with that key. If a key, visibility, and location type are all specified, this considers all developer metadata with that key and visibility that are associated with a location of that type. In general, this selects all DeveloperMetadata that matches the intersection of all the specified fields; any field or combination of fields may be specified. Attributes locationMatchingStrategy (String.t): Determines how this lookup matches the location. If this field is specified as EXACT, only developer metadata associated on the exact location specified is matched. If this field is specified to INTERSECTING, developer metadata associated on intersecting locations is also matched. If left unspecified, this field assumes a default value of INTERSECTING. If this field is specified, a metadataLocation must also be specified. Defaults to: null. Enum - one of [DEVELOPER_METADATA_LOCATION_MATCHING_STRATEGY_UNSPECIFIED, EXACT_LOCATION, INTERSECTING_LOCATION] locationType (String.t): Limits the selected developer metadata to those entries which are associated with locations of the specified type. For example, when this field is specified as ROW this lookup only considers developer metadata associated on rows. If the field is left unspecified, all location types are considered. This field cannot be specified as SPREADSHEET when the locationMatchingStrategy is specified as INTERSECTING or when the metadataLocation is specified as a non-spreadsheet location: spreadsheet metadata cannot intersect any other developer metadata location. This field also must be left unspecified when the locationMatchingStrategy is specified as EXACT. Defaults to: null. Enum - one of [DEVELOPER_METADATA_LOCATION_TYPE_UNSPECIFIED, ROW, COLUMN, SHEET, SPREADSHEET] metadataId (integer()): Limits the selected developer metadata to that which has a matching DeveloperMetadata.metadata_id. Defaults to: null. metadataKey (String.t): Limits the selected developer metadata to that which has a matching DeveloperMetadata.metadata_key. Defaults to: null. metadataLocation (DeveloperMetadataLocation): Limits the selected developer metadata to those entries associated with the specified location. This field either matches exact locations or all intersecting locations according the specified locationMatchingStrategy. Defaults to: null. metadataValue (String.t): Limits the selected developer metadata to that which has a matching DeveloperMetadata.metadata_value. Defaults to: null. visibility (String.t): Limits the selected developer metadata to that which has a matching DeveloperMetadata.visibility. If left unspecified, all developer metadata visibile to the requesting project is considered. Defaults to: null. Enum - one of [DEVELOPER_METADATA_VISIBILITY_UNSPECIFIED, DOCUMENT, PROJECT]"},{"ref":"GoogleApi.Sheets.V4.Model.DeveloperMetadataLookup.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DeveloperMetadataLookup.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DeveloperMetadataLookup.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DeveloperMetadataLookup.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DimensionGroup.html","title":"GoogleApi.Sheets.V4.Model.DimensionGroup","type":"module","doc":"A group over an interval of rows or columns on a sheet, which can contain or be contained within other groups. A group can be collapsed or expanded as a unit on the sheet. Attributes collapsed (boolean()): This field is true if this group is collapsed. A collapsed group remains collapsed if an overlapping group at a shallower depth is expanded. A true value does not imply that all dimensions within the group are hidden, since a dimension&#39;s visibility can change independently from this group property. However, when this property is updated, all dimensions within it are set to hidden if this field is true, or set to visible if this field is false. Defaults to: null. depth (integer()): The depth of the group, representing how many groups have a range that wholly contains the range of this group. Defaults to: null. range (DimensionRange): The range over which this group exists. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DimensionGroup.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DimensionGroup.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DimensionGroup.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DimensionGroup.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DimensionProperties.html","title":"GoogleApi.Sheets.V4.Model.DimensionProperties","type":"module","doc":"Properties about a dimension. Attributes developerMetadata ([DeveloperMetadata]): The developer metadata associated with a single row or column. Defaults to: null. hiddenByFilter (boolean()): True if this dimension is being filtered. This field is read-only. Defaults to: null. hiddenByUser (boolean()): True if this dimension is explicitly hidden. Defaults to: null. pixelSize (integer()): The height (if a row) or width (if a column) of the dimension in pixels. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DimensionProperties.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DimensionProperties.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DimensionProperties.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DimensionProperties.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DimensionRange.html","title":"GoogleApi.Sheets.V4.Model.DimensionRange","type":"module","doc":"A range along a single dimension on a sheet. All indexes are zero-based. Indexes are half open: the start index is inclusive and the end index is exclusive. Missing indexes indicate the range is unbounded on that side. Attributes dimension (String.t): The dimension of the span. Defaults to: null. Enum - one of [DIMENSION_UNSPECIFIED, ROWS, COLUMNS] endIndex (integer()): The end (exclusive) of the span, or not set if unbounded. Defaults to: null. sheetId (integer()): The sheet this span is on. Defaults to: null. startIndex (integer()): The start (inclusive) of the span, or not set if unbounded. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DimensionRange.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DimensionRange.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DimensionRange.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DimensionRange.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DuplicateFilterViewRequest.html","title":"GoogleApi.Sheets.V4.Model.DuplicateFilterViewRequest","type":"module","doc":"Duplicates a particular filter view. Attributes filterId (integer()): The ID of the filter being duplicated. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DuplicateFilterViewRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DuplicateFilterViewRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DuplicateFilterViewRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DuplicateFilterViewRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DuplicateFilterViewResponse.html","title":"GoogleApi.Sheets.V4.Model.DuplicateFilterViewResponse","type":"module","doc":"The result of a filter view being duplicated. Attributes filter (FilterView): The newly created filter. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DuplicateFilterViewResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DuplicateFilterViewResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DuplicateFilterViewResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DuplicateFilterViewResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DuplicateSheetRequest.html","title":"GoogleApi.Sheets.V4.Model.DuplicateSheetRequest","type":"module","doc":"Duplicates the contents of a sheet. Attributes insertSheetIndex (integer()): The zero-based index where the new sheet should be inserted. The index of all sheets after this are incremented. Defaults to: null. newSheetId (integer()): If set, the ID of the new sheet. If not set, an ID is chosen. If set, the ID must not conflict with any existing sheet ID. If set, it must be non-negative. Defaults to: null. newSheetName (String.t): The name of the new sheet. If empty, a new name is chosen for you. Defaults to: null. sourceSheetId (integer()): The sheet to duplicate. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DuplicateSheetRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DuplicateSheetRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DuplicateSheetRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DuplicateSheetRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.DuplicateSheetResponse.html","title":"GoogleApi.Sheets.V4.Model.DuplicateSheetResponse","type":"module","doc":"The result of duplicating a sheet. Attributes properties (SheetProperties): The properties of the duplicate sheet. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.DuplicateSheetResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.DuplicateSheetResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.DuplicateSheetResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.DuplicateSheetResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.Editors.html","title":"GoogleApi.Sheets.V4.Model.Editors","type":"module","doc":"The editors of a protected range. Attributes domainUsersCanEdit (boolean()): True if anyone in the document&#39;s domain has edit access to the protected range. Domain protection is only supported on documents within a domain. Defaults to: null. groups ([String.t]): The email addresses of groups with edit access to the protected range. Defaults to: null. users ([String.t]): The email addresses of users with edit access to the protected range. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.Editors.html#decode/2","title":"GoogleApi.Sheets.V4.Model.Editors.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.Editors.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.Editors.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.EmbeddedChart.html","title":"GoogleApi.Sheets.V4.Model.EmbeddedChart","type":"module","doc":"A chart embedded in a sheet. Attributes chartId (integer()): The ID of the chart. Defaults to: null. position (EmbeddedObjectPosition): The position of the chart. Defaults to: null. spec (ChartSpec): The specification of the chart. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.EmbeddedChart.html#decode/2","title":"GoogleApi.Sheets.V4.Model.EmbeddedChart.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.EmbeddedChart.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.EmbeddedChart.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.EmbeddedObjectPosition.html","title":"GoogleApi.Sheets.V4.Model.EmbeddedObjectPosition","type":"module","doc":"The position of an embedded object such as a chart. Attributes newSheet (boolean()): If true, the embedded object is put on a new sheet whose ID is chosen for you. Used only when writing. Defaults to: null. overlayPosition (OverlayPosition): The position at which the object is overlaid on top of a grid. Defaults to: null. sheetId (integer()): The sheet this is on. Set only if the embedded object is on its own sheet. Must be non-negative. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.EmbeddedObjectPosition.html#decode/2","title":"GoogleApi.Sheets.V4.Model.EmbeddedObjectPosition.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.EmbeddedObjectPosition.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.EmbeddedObjectPosition.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.ErrorValue.html","title":"GoogleApi.Sheets.V4.Model.ErrorValue","type":"module","doc":"An error in a cell. Attributes message (String.t): A message with more information about the error (in the spreadsheet&#39;s locale). Defaults to: null. type (String.t): The type of error. Defaults to: null. Enum - one of [ERROR_TYPE_UNSPECIFIED, ERROR, NULL_VALUE, DIVIDE_BY_ZERO, VALUE, REF, NAME, NUM, N_A, LOADING]"},{"ref":"GoogleApi.Sheets.V4.Model.ErrorValue.html#decode/2","title":"GoogleApi.Sheets.V4.Model.ErrorValue.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.ErrorValue.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.ErrorValue.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.ExtendedValue.html","title":"GoogleApi.Sheets.V4.Model.ExtendedValue","type":"module","doc":"The kinds of value that a cell in a spreadsheet can have. Attributes boolValue (boolean()): Represents a boolean value. Defaults to: null. errorValue (ErrorValue): Represents an error. This field is read-only. Defaults to: null. formulaValue (String.t): Represents a formula. Defaults to: null. numberValue (float()): Represents a double value. Note: Dates, Times and DateTimes are represented as doubles in &quot;serial number&quot; format. Defaults to: null. stringValue (String.t): Represents a string value. Leading single quotes are not included. For example, if the user typed &#x60;&#39;123&#x60; into the UI, this would be represented as a &#x60;stringValue&#x60; of &#x60;&quot;123&quot;&#x60;. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.ExtendedValue.html#decode/2","title":"GoogleApi.Sheets.V4.Model.ExtendedValue.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.ExtendedValue.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.ExtendedValue.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.FilterCriteria.html","title":"GoogleApi.Sheets.V4.Model.FilterCriteria","type":"module","doc":"Criteria for showing/hiding rows in a filter or filter view. Attributes condition (BooleanCondition): A condition that must be true for values to be shown. (This does not override hiddenValues -- if a value is listed there, it will still be hidden.) Defaults to: null. hiddenValues ([String.t]): Values that should be hidden. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.FilterCriteria.html#decode/2","title":"GoogleApi.Sheets.V4.Model.FilterCriteria.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.FilterCriteria.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.FilterCriteria.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.FilterView.html","title":"GoogleApi.Sheets.V4.Model.FilterView","type":"module","doc":"A filter view. Attributes criteria (%{optional(String.t) &#x3D;&gt; FilterCriteria}): The criteria for showing/hiding values per column. The map&#39;s key is the column index, and the value is the criteria for that column. Defaults to: null. filterViewId (integer()): The ID of the filter view. Defaults to: null. namedRangeId (String.t): The named range this filter view is backed by, if any. When writing, only one of range or named_range_id may be set. Defaults to: null. range (GridRange): The range this filter view covers. When writing, only one of range or named_range_id may be set. Defaults to: null. sortSpecs ([SortSpec]): The sort order per column. Later specifications are used when values are equal in the earlier specifications. Defaults to: null. title (String.t): The name of the filter view. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.FilterView.html#decode/2","title":"GoogleApi.Sheets.V4.Model.FilterView.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.FilterView.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.FilterView.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.FindReplaceRequest.html","title":"GoogleApi.Sheets.V4.Model.FindReplaceRequest","type":"module","doc":"Finds and replaces data in cells over a range, sheet, or all sheets. Attributes allSheets (boolean()): True to find/replace over all sheets. Defaults to: null. find (String.t): The value to search. Defaults to: null. includeFormulas (boolean()): True if the search should include cells with formulas. False to skip cells with formulas. Defaults to: null. matchCase (boolean()): True if the search is case sensitive. Defaults to: null. matchEntireCell (boolean()): True if the find value should match the entire cell. Defaults to: null. range (GridRange): The range to find/replace over. Defaults to: null. replacement (String.t): The value to use as the replacement. Defaults to: null. searchByRegex (boolean()): True if the find value is a regex. The regular expression and replacement should follow Java regex rules at https://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html. The replacement string is allowed to refer to capturing groups. For example, if one cell has the contents &#x60;&quot;Google Sheets&quot;&#x60; and another has &#x60;&quot;Google Docs&quot;&#x60;, then searching for &#x60;&quot;o. (.)&quot;&#x60; with a replacement of &#x60;&quot;$1 Rocks&quot;&#x60; would change the contents of the cells to &#x60;&quot;GSheets Rocks&quot;&#x60; and &#x60;&quot;GDocs Rocks&quot;&#x60; respectively. Defaults to: null. sheetId (integer()): The sheet to find/replace over. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.FindReplaceRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.FindReplaceRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.FindReplaceRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.FindReplaceRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.FindReplaceResponse.html","title":"GoogleApi.Sheets.V4.Model.FindReplaceResponse","type":"module","doc":"The result of the find/replace. Attributes formulasChanged (integer()): The number of formula cells changed. Defaults to: null. occurrencesChanged (integer()): The number of occurrences (possibly multiple within a cell) changed. For example, if replacing &#x60;&quot;e&quot;&#x60; with &#x60;&quot;o&quot;&#x60; in &#x60;&quot;Google Sheets&quot;&#x60;, this would be &#x60;&quot;3&quot;&#x60; because &#x60;&quot;Google Sheets&quot;&#x60; -&gt; &#x60;&quot;Googlo Shoots&quot;&#x60;. Defaults to: null. rowsChanged (integer()): The number of rows changed. Defaults to: null. sheetsChanged (integer()): The number of sheets changed. Defaults to: null. valuesChanged (integer()): The number of non-formula cells changed. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.FindReplaceResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.FindReplaceResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.FindReplaceResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.FindReplaceResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.GetSpreadsheetByDataFilterRequest.html","title":"GoogleApi.Sheets.V4.Model.GetSpreadsheetByDataFilterRequest","type":"module","doc":"The request for retrieving a Spreadsheet. Attributes dataFilters ([DataFilter]): The DataFilters used to select which ranges to retrieve from the spreadsheet. Defaults to: null. includeGridData (boolean()): True if grid data should be returned. This parameter is ignored if a field mask was set in the request. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.GetSpreadsheetByDataFilterRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.GetSpreadsheetByDataFilterRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.GetSpreadsheetByDataFilterRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.GetSpreadsheetByDataFilterRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.GradientRule.html","title":"GoogleApi.Sheets.V4.Model.GradientRule","type":"module","doc":"A rule that applies a gradient color scale format, based on the interpolation points listed. The format of a cell will vary based on its contents as compared to the values of the interpolation points. Attributes maxpoint (InterpolationPoint): The final interpolation point. Defaults to: null. midpoint (InterpolationPoint): An optional midway interpolation point. Defaults to: null. minpoint (InterpolationPoint): The starting interpolation point. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.GradientRule.html#decode/2","title":"GoogleApi.Sheets.V4.Model.GradientRule.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.GradientRule.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.GradientRule.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.GridCoordinate.html","title":"GoogleApi.Sheets.V4.Model.GridCoordinate","type":"module","doc":"A coordinate in a sheet. All indexes are zero-based. Attributes columnIndex (integer()): The column index of the coordinate. Defaults to: null. rowIndex (integer()): The row index of the coordinate. Defaults to: null. sheetId (integer()): The sheet this coordinate is on. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.GridCoordinate.html#decode/2","title":"GoogleApi.Sheets.V4.Model.GridCoordinate.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.GridCoordinate.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.GridCoordinate.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.GridData.html","title":"GoogleApi.Sheets.V4.Model.GridData","type":"module","doc":"Data in the grid, as well as metadata about the dimensions. Attributes columnMetadata ([DimensionProperties]): Metadata about the requested columns in the grid, starting with the column in start_column. Defaults to: null. rowData ([RowData]): The data in the grid, one entry per row, starting with the row in startRow. The values in RowData will correspond to columns starting at start_column. Defaults to: null. rowMetadata ([DimensionProperties]): Metadata about the requested rows in the grid, starting with the row in start_row. Defaults to: null. startColumn (integer()): The first column this GridData refers to, zero-based. Defaults to: null. startRow (integer()): The first row this GridData refers to, zero-based. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.GridData.html#decode/2","title":"GoogleApi.Sheets.V4.Model.GridData.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.GridData.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.GridData.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.GridProperties.html","title":"GoogleApi.Sheets.V4.Model.GridProperties","type":"module","doc":"Properties of a grid. Attributes columnCount (integer()): The number of columns in the grid. Defaults to: null. columnGroupControlAfter (boolean()): True if the column grouping control toggle is shown after the group. Defaults to: null. frozenColumnCount (integer()): The number of columns that are frozen in the grid. Defaults to: null. frozenRowCount (integer()): The number of rows that are frozen in the grid. Defaults to: null. hideGridlines (boolean()): True if the grid isn&#39;t showing gridlines in the UI. Defaults to: null. rowCount (integer()): The number of rows in the grid. Defaults to: null. rowGroupControlAfter (boolean()): True if the row grouping control toggle is shown after the group. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.GridProperties.html#decode/2","title":"GoogleApi.Sheets.V4.Model.GridProperties.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.GridProperties.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.GridProperties.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.GridRange.html","title":"GoogleApi.Sheets.V4.Model.GridRange","type":"module","doc":"A range on a sheet. All indexes are zero-based. Indexes are half open, e.g the start index is inclusive and the end index is exclusive -- [start_index, end_index). Missing indexes indicate the range is unbounded on that side. For example, if &#x60;&quot;Sheet1&quot;&#x60; is sheet ID 0, then: &#x60;Sheet1!A1:A1 &#x3D;&#x3D; sheet_id: 0, start_row_index: 0, end_row_index: 1, start_column_index: 0, end_column_index: 1&#x60; &#x60;Sheet1!A3:B4 &#x3D;&#x3D; sheet_id: 0, start_row_index: 2, end_row_index: 4, start_column_index: 0, end_column_index: 2&#x60; &#x60;Sheet1!A:B &#x3D;&#x3D; sheet_id: 0, start_column_index: 0, end_column_index: 2&#x60; &#x60;Sheet1!A5:B &#x3D;&#x3D; sheet_id: 0, start_row_index: 4, start_column_index: 0, end_column_index: 2&#x60; &#x60;Sheet1 &#x3D;&#x3D; sheet_id:0&#x60; The start index must always be less than or equal to the end index. If the start index equals the end index, then the range is empty. Empty ranges are typically not meaningful and are usually rendered in the UI as &#x60;#REF!&#x60;. Attributes endColumnIndex (integer()): The end column (exclusive) of the range, or not set if unbounded. Defaults to: null. endRowIndex (integer()): The end row (exclusive) of the range, or not set if unbounded. Defaults to: null. sheetId (integer()): The sheet this range is on. Defaults to: null. startColumnIndex (integer()): The start column (inclusive) of the range, or not set if unbounded. Defaults to: null. startRowIndex (integer()): The start row (inclusive) of the range, or not set if unbounded. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.GridRange.html#decode/2","title":"GoogleApi.Sheets.V4.Model.GridRange.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.GridRange.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.GridRange.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.HistogramChartSpec.html","title":"GoogleApi.Sheets.V4.Model.HistogramChartSpec","type":"module","doc":"A &lt;a href&#x3D;&quot;/chart/interactive/docs/gallery/histogram&quot;&gt;histogram chart&lt;/a&gt;. A histogram chart groups data items into bins, displaying each bin as a column of stacked items. Histograms are used to display the distribution of a dataset. Each column of items represents a range into which those items fall. The number of bins can be chosen automatically or specified explicitly. Attributes bucketSize (float()): By default the bucket size (the range of values stacked in a single column) is chosen automatically, but it may be overridden here. E.g., A bucket size of 1.5 results in buckets from 0 - 1.5, 1.5 - 3.0, etc. Cannot be negative. This field is optional. Defaults to: null. legendPosition (String.t): The position of the chart legend. Defaults to: null. Enum - one of [HISTOGRAM_CHART_LEGEND_POSITION_UNSPECIFIED, BOTTOM_LEGEND, LEFT_LEGEND, RIGHT_LEGEND, TOP_LEGEND, NO_LEGEND, INSIDE_LEGEND] outlierPercentile (float()): The outlier percentile is used to ensure that outliers do not adversely affect the calculation of bucket sizes. For example, setting an outlier percentile of 0.05 indicates that the top and bottom 5% of values when calculating buckets. The values are still included in the chart, they will be added to the first or last buckets instead of their own buckets. Must be between 0.0 and 0.5. Defaults to: null. series ([HistogramSeries]): The series for a histogram may be either a single series of values to be bucketed or multiple series, each of the same length, containing the name of the series followed by the values to be bucketed for that series. Defaults to: null. showItemDividers (boolean()): Whether horizontal divider lines should be displayed between items in each column. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.HistogramChartSpec.html#decode/2","title":"GoogleApi.Sheets.V4.Model.HistogramChartSpec.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.HistogramChartSpec.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.HistogramChartSpec.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.HistogramRule.html","title":"GoogleApi.Sheets.V4.Model.HistogramRule","type":"module","doc":"Allows you to organize the numeric values in a source data column into buckets of a constant size. All values from HistogramRule.start to HistogramRule.end are placed into groups of size HistogramRule.interval. In addition, all values below HistogramRule.start are placed in one group, and all values above HistogramRule.end are placed in another. Only HistogramRule.interval is required, though if HistogramRule.start and HistogramRule.end are both provided, HistogramRule.start must be less than HistogramRule.end. For example, a pivot table showing average purchase amount by age that has 50+ rows: +-----+-------------------+ | Age | AVERAGE of Amount | +-----+-------------------+ | 16 | $27.13 | | 17 | $5.24 | | 18 | $20.15 | ... +-----+-------------------+ could be turned into a pivot table that looks like the one below by applying a histogram group rule with a HistogramRule.start of 25, an HistogramRule.interval of 20, and an HistogramRule.end of 65. +-------------+-------------------+ | Grouped Age | AVERAGE of Amount | +-------------+-------------------+ | &lt; 25 | $19.34 | | 25-45 | $31.43 | | 45-65 | $35.87 | | &gt; 65 | $27.55 | +-------------+-------------------+ | Grand Total | $29.12 | +-------------+-------------------+ Attributes end (float()): The maximum value at which items are placed into buckets of constant size. Values above end are lumped into a single bucket. This field is optional. Defaults to: null. interval (float()): The size of the buckets that are created. Must be positive. Defaults to: null. start (float()): The minimum value at which items are placed into buckets of constant size. Values below start are lumped into a single bucket. This field is optional. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.HistogramRule.html#decode/2","title":"GoogleApi.Sheets.V4.Model.HistogramRule.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.HistogramRule.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.HistogramRule.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.HistogramSeries.html","title":"GoogleApi.Sheets.V4.Model.HistogramSeries","type":"module","doc":"A histogram series containing the series color and data. Attributes barColor (Color): The color of the column representing this series in each bucket. This field is optional. Defaults to: null. data (ChartData): The data for this histogram series. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.HistogramSeries.html#decode/2","title":"GoogleApi.Sheets.V4.Model.HistogramSeries.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.HistogramSeries.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.HistogramSeries.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.InsertDimensionRequest.html","title":"GoogleApi.Sheets.V4.Model.InsertDimensionRequest","type":"module","doc":"Inserts rows or columns in a sheet at a particular index. Attributes inheritFromBefore (boolean()): Whether dimension properties should be extended from the dimensions before or after the newly inserted dimensions. True to inherit from the dimensions before (in which case the start index must be greater than 0), and false to inherit from the dimensions after. For example, if row index 0 has red background and row index 1 has a green background, then inserting 2 rows at index 1 can inherit either the green or red background. If &#x60;inheritFromBefore&#x60; is true, the two new rows will be red (because the row before the insertion point was red), whereas if &#x60;inheritFromBefore&#x60; is false, the two new rows will be green (because the row after the insertion point was green). Defaults to: null. range (DimensionRange): The dimensions to insert. Both the start and end indexes must be bounded. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.InsertDimensionRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.InsertDimensionRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.InsertDimensionRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.InsertDimensionRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.InsertRangeRequest.html","title":"GoogleApi.Sheets.V4.Model.InsertRangeRequest","type":"module","doc":"Inserts cells into a range, shifting the existing cells over or down. Attributes range (GridRange): The range to insert new cells into. Defaults to: null. shiftDimension (String.t): The dimension which will be shifted when inserting cells. If ROWS, existing cells will be shifted down. If COLUMNS, existing cells will be shifted right. Defaults to: null. Enum - one of [DIMENSION_UNSPECIFIED, ROWS, COLUMNS]"},{"ref":"GoogleApi.Sheets.V4.Model.InsertRangeRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.InsertRangeRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.InsertRangeRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.InsertRangeRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.InterpolationPoint.html","title":"GoogleApi.Sheets.V4.Model.InterpolationPoint","type":"module","doc":"A single interpolation point on a gradient conditional format. These pin the gradient color scale according to the color, type and value chosen. Attributes color (Color): The color this interpolation point should use. Defaults to: null. type (String.t): How the value should be interpreted. Defaults to: null. Enum - one of [INTERPOLATION_POINT_TYPE_UNSPECIFIED, MIN, MAX, NUMBER, PERCENT, PERCENTILE] value (String.t): The value this interpolation point uses. May be a formula. Unused if type is MIN or MAX. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.InterpolationPoint.html#decode/2","title":"GoogleApi.Sheets.V4.Model.InterpolationPoint.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.InterpolationPoint.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.InterpolationPoint.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.IterativeCalculationSettings.html","title":"GoogleApi.Sheets.V4.Model.IterativeCalculationSettings","type":"module","doc":"Settings to control how circular dependencies are resolved with iterative calculation. Attributes convergenceThreshold (float()): When iterative calculation is enabled and successive results differ by less than this threshold value, the calculation rounds stop. Defaults to: null. maxIterations (integer()): When iterative calculation is enabled, the maximum number of calculation rounds to perform. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.IterativeCalculationSettings.html#decode/2","title":"GoogleApi.Sheets.V4.Model.IterativeCalculationSettings.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.IterativeCalculationSettings.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.IterativeCalculationSettings.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.LineStyle.html","title":"GoogleApi.Sheets.V4.Model.LineStyle","type":"module","doc":"Properties that describe the style of a line. Attributes type (String.t): The dash type of the line. Defaults to: null. Enum - one of [LINE_DASH_TYPE_UNSPECIFIED, INVISIBLE, CUSTOM, SOLID, DOTTED, MEDIUM_DASHED, MEDIUM_DASHED_DOTTED, LONG_DASHED, LONG_DASHED_DOTTED] width (integer()): The thickness of the line, in px. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.LineStyle.html#decode/2","title":"GoogleApi.Sheets.V4.Model.LineStyle.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.LineStyle.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.LineStyle.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.ManualRule.html","title":"GoogleApi.Sheets.V4.Model.ManualRule","type":"module","doc":"Allows you to manually organize the values in a source data column into buckets with names of your choosing. For example, a pivot table that aggregates population by state: +-------+-------------------+ | State | SUM of Population | +-------+-------------------+ | AK | 0.7 | | AL | 4.8 | | AR | 2.9 | ... +-------+-------------------+ could be turned into a pivot table that aggregates population by time zone by providing a list of groups (for example, groupName &#x3D; &#39;Central&#39;, items &#x3D; [&#39;AL&#39;, &#39;AR&#39;, &#39;IA&#39;, ...]) to a manual group rule. Note that a similar effect could be achieved by adding a time zone column to the source data and adjusting the pivot table. +-----------+-------------------+ | Time Zone | SUM of Population | +-----------+-------------------+ | Central | 106.3 | | Eastern | 151.9 | | Mountain | 17.4 | ... +-----------+-------------------+ Attributes groups ([ManualRuleGroup]): The list of group names and the corresponding items from the source data that map to each group name. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.ManualRule.html#decode/2","title":"GoogleApi.Sheets.V4.Model.ManualRule.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.ManualRule.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.ManualRule.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.ManualRuleGroup.html","title":"GoogleApi.Sheets.V4.Model.ManualRuleGroup","type":"module","doc":"A group name and a list of items from the source data that should be placed in the group with this name. Attributes groupName (ExtendedValue): The group name, which must be a string. Each group in a given ManualRule must have a unique group name. Defaults to: null. items ([ExtendedValue]): The items in the source data that should be placed into this group. Each item may be a string, number, or boolean. Items may appear in at most one group within a given ManualRule. Items that do not appear in any group will appear on their own. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.ManualRuleGroup.html#decode/2","title":"GoogleApi.Sheets.V4.Model.ManualRuleGroup.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.ManualRuleGroup.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.ManualRuleGroup.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.MatchedDeveloperMetadata.html","title":"GoogleApi.Sheets.V4.Model.MatchedDeveloperMetadata","type":"module","doc":"A developer metadata entry and the data filters specified in the original request that matched it. Attributes dataFilters ([DataFilter]): All filters matching the returned developer metadata. Defaults to: null. developerMetadata (DeveloperMetadata): The developer metadata matching the specified filters. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.MatchedDeveloperMetadata.html#decode/2","title":"GoogleApi.Sheets.V4.Model.MatchedDeveloperMetadata.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.MatchedDeveloperMetadata.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.MatchedDeveloperMetadata.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.MatchedValueRange.html","title":"GoogleApi.Sheets.V4.Model.MatchedValueRange","type":"module","doc":"A value range that was matched by one or more data filers. Attributes dataFilters ([DataFilter]): The DataFilters from the request that matched the range of values. Defaults to: null. valueRange (ValueRange): The values matched by the DataFilter. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.MatchedValueRange.html#decode/2","title":"GoogleApi.Sheets.V4.Model.MatchedValueRange.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.MatchedValueRange.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.MatchedValueRange.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.MergeCellsRequest.html","title":"GoogleApi.Sheets.V4.Model.MergeCellsRequest","type":"module","doc":"Merges all cells in the range. Attributes mergeType (String.t): How the cells should be merged. Defaults to: null. Enum - one of [MERGE_ALL, MERGE_COLUMNS, MERGE_ROWS] range (GridRange): The range of cells to merge. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.MergeCellsRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.MergeCellsRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.MergeCellsRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.MergeCellsRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.MoveDimensionRequest.html","title":"GoogleApi.Sheets.V4.Model.MoveDimensionRequest","type":"module","doc":"Moves one or more rows or columns. Attributes destinationIndex (integer()): The zero-based start index of where to move the source data to, based on the coordinates before the source data is removed from the grid. Existing data will be shifted down or right (depending on the dimension) to make room for the moved dimensions. The source dimensions are removed from the grid, so the the data may end up in a different index than specified. For example, given &#x60;A1..A5&#x60; of &#x60;0, 1, 2, 3, 4&#x60; and wanting to move &#x60;&quot;1&quot;&#x60; and &#x60;&quot;2&quot;&#x60; to between &#x60;&quot;3&quot;&#x60; and &#x60;&quot;4&quot;&#x60;, the source would be &#x60;ROWS [1..3)&#x60;,and the destination index would be &#x60;&quot;4&quot;&#x60; (the zero-based index of row 5). The end result would be &#x60;A1..A5&#x60; of &#x60;0, 3, 1, 2, 4&#x60;. Defaults to: null. source (DimensionRange): The source dimensions to move. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.MoveDimensionRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.MoveDimensionRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.MoveDimensionRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.MoveDimensionRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.NamedRange.html","title":"GoogleApi.Sheets.V4.Model.NamedRange","type":"module","doc":"A named range. Attributes name (String.t): The name of the named range. Defaults to: null. namedRangeId (String.t): The ID of the named range. Defaults to: null. range (GridRange): The range this represents. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.NamedRange.html#decode/2","title":"GoogleApi.Sheets.V4.Model.NamedRange.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.NamedRange.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.NamedRange.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.NumberFormat.html","title":"GoogleApi.Sheets.V4.Model.NumberFormat","type":"module","doc":"The number format of a cell. Attributes pattern (String.t): Pattern string used for formatting. If not set, a default pattern based on the user&#39;s locale will be used if necessary for the given type. See the Date and Number Formats guide for more information about the supported patterns. Defaults to: null. type (String.t): The type of the number format. When writing, this field must be set. Defaults to: null. Enum - one of [NUMBER_FORMAT_TYPE_UNSPECIFIED, TEXT, NUMBER, PERCENT, CURRENCY, DATE, TIME, DATE_TIME, SCIENTIFIC]"},{"ref":"GoogleApi.Sheets.V4.Model.NumberFormat.html#decode/2","title":"GoogleApi.Sheets.V4.Model.NumberFormat.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.NumberFormat.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.NumberFormat.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.OrgChartSpec.html","title":"GoogleApi.Sheets.V4.Model.OrgChartSpec","type":"module","doc":"An &lt;a href&#x3D;&quot;/chart/interactive/docs/gallery/orgchart&quot;&gt;org chart&lt;/a&gt;. Org charts require a unique set of labels in labels and may optionally include parent_labels and tooltips. parent_labels contain, for each node, the label identifying the parent node. tooltips contain, for each node, an optional tooltip. For example, to describe an OrgChart with Alice as the CEO, Bob as the President (reporting to Alice) and Cathy as VP of Sales (also reporting to Alice), have labels contain &quot;Alice&quot;, &quot;Bob&quot;, &quot;Cathy&quot;, parent_labels contain &quot;&quot;, &quot;Alice&quot;, &quot;Alice&quot; and tooltips contain &quot;CEO&quot;, &quot;President&quot;, &quot;VP Sales&quot;. Attributes labels (ChartData): The data containing the labels for all the nodes in the chart. Labels must be unique. Defaults to: null. nodeColor (Color): The color of the org chart nodes. Defaults to: null. nodeSize (String.t): The size of the org chart nodes. Defaults to: null. Enum - one of [ORG_CHART_LABEL_SIZE_UNSPECIFIED, SMALL, MEDIUM, LARGE] parentLabels (ChartData): The data containing the label of the parent for the corresponding node. A blank value indicates that the node has no parent and is a top-level node. This field is optional. Defaults to: null. selectedNodeColor (Color): The color of the selected org chart nodes. Defaults to: null. tooltips (ChartData): The data containing the tooltip for the corresponding node. A blank value results in no tooltip being displayed for the node. This field is optional. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.OrgChartSpec.html#decode/2","title":"GoogleApi.Sheets.V4.Model.OrgChartSpec.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.OrgChartSpec.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.OrgChartSpec.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.OverlayPosition.html","title":"GoogleApi.Sheets.V4.Model.OverlayPosition","type":"module","doc":"The location an object is overlaid on top of a grid. Attributes anchorCell (GridCoordinate): The cell the object is anchored to. Defaults to: null. heightPixels (integer()): The height of the object, in pixels. Defaults to 371. Defaults to: null. offsetXPixels (integer()): The horizontal offset, in pixels, that the object is offset from the anchor cell. Defaults to: null. offsetYPixels (integer()): The vertical offset, in pixels, that the object is offset from the anchor cell. Defaults to: null. widthPixels (integer()): The width of the object, in pixels. Defaults to 600. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.OverlayPosition.html#decode/2","title":"GoogleApi.Sheets.V4.Model.OverlayPosition.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.OverlayPosition.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.OverlayPosition.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.Padding.html","title":"GoogleApi.Sheets.V4.Model.Padding","type":"module","doc":"The amount of padding around the cell, in pixels. When updating padding, every field must be specified. Attributes bottom (integer()): The bottom padding of the cell. Defaults to: null. left (integer()): The left padding of the cell. Defaults to: null. right (integer()): The right padding of the cell. Defaults to: null. top (integer()): The top padding of the cell. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.Padding.html#decode/2","title":"GoogleApi.Sheets.V4.Model.Padding.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.Padding.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.Padding.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.PasteDataRequest.html","title":"GoogleApi.Sheets.V4.Model.PasteDataRequest","type":"module","doc":"Inserts data into the spreadsheet starting at the specified coordinate. Attributes coordinate (GridCoordinate): The coordinate at which the data should start being inserted. Defaults to: null. data (String.t): The data to insert. Defaults to: null. delimiter (String.t): The delimiter in the data. Defaults to: null. html (boolean()): True if the data is HTML. Defaults to: null. type (String.t): How the data should be pasted. Defaults to: null. Enum - one of [PASTE_NORMAL, PASTE_VALUES, PASTE_FORMAT, PASTE_NO_BORDERS, PASTE_FORMULA, PASTE_DATA_VALIDATION, PASTE_CONDITIONAL_FORMATTING]"},{"ref":"GoogleApi.Sheets.V4.Model.PasteDataRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.PasteDataRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.PasteDataRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.PasteDataRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.PieChartSpec.html","title":"GoogleApi.Sheets.V4.Model.PieChartSpec","type":"module","doc":"A &lt;a href&#x3D;&quot;/chart/interactive/docs/gallery/piechart&quot;&gt;pie chart&lt;/a&gt;. Attributes domain (ChartData): The data that covers the domain of the pie chart. Defaults to: null. legendPosition (String.t): Where the legend of the pie chart should be drawn. Defaults to: null. Enum - one of [PIE_CHART_LEGEND_POSITION_UNSPECIFIED, BOTTOM_LEGEND, LEFT_LEGEND, RIGHT_LEGEND, TOP_LEGEND, NO_LEGEND, LABELED_LEGEND] pieHole (float()): The size of the hole in the pie chart. Defaults to: null. series (ChartData): The data that covers the one and only series of the pie chart. Defaults to: null. threeDimensional (boolean()): True if the pie is three dimensional. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.PieChartSpec.html#decode/2","title":"GoogleApi.Sheets.V4.Model.PieChartSpec.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.PieChartSpec.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.PieChartSpec.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.PivotFilterCriteria.html","title":"GoogleApi.Sheets.V4.Model.PivotFilterCriteria","type":"module","doc":"Criteria for showing/hiding rows in a pivot table. Attributes visibleValues ([String.t]): Values that should be included. Values not listed here are excluded. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.PivotFilterCriteria.html#decode/2","title":"GoogleApi.Sheets.V4.Model.PivotFilterCriteria.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.PivotFilterCriteria.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.PivotFilterCriteria.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.PivotGroup.html","title":"GoogleApi.Sheets.V4.Model.PivotGroup","type":"module","doc":"A single grouping (either row or column) in a pivot table. Attributes groupRule (PivotGroupRule): The group rule to apply to this row/column group. Defaults to: null. label (String.t): The labels to use for the row/column groups which can be customized. For example, in the following pivot table, the row label is &#x60;Region&#x60; (which could be renamed to &#x60;State&#x60;) and the column label is &#x60;Product&#x60; (which could be renamed &#x60;Item&#x60;). Pivot tables created before December 2017 do not have header labels. If you&#39;d like to add header labels to an existing pivot table, please delete the existing pivot table and then create a new pivot table with same parameters. +--------------+---------+-------+ | SUM of Units | Product | | | Region | Pen | Paper | +--------------+---------+-------+ | New York | 345 | 98 | | Oregon | 234 | 123 | | Tennessee | 531 | 415 | +--------------+---------+-------+ | Grand Total | 1110 | 636 | +--------------+---------+-------+ Defaults to: null. repeatHeadings (boolean()): True if the headings in this pivot group should be repeated. This is only valid for row groupings and is ignored by columns. By default, we minimize repitition of headings by not showing higher level headings where they are the same. For example, even though the third row below corresponds to &quot;Q1 Mar&quot;, &quot;Q1&quot; is not shown because it is redundant with previous rows. Setting repeat_headings to true would cause &quot;Q1&quot; to be repeated for &quot;Feb&quot; and &quot;Mar&quot;. +--------------+ | Q1 | Jan | | | Feb | | | Mar | +--------+-----+ | Q1 Total | +--------------+ Defaults to: null. showTotals (boolean()): True if the pivot table should include the totals for this grouping. Defaults to: null. sortOrder (String.t): The order the values in this group should be sorted. Defaults to: null. Enum - one of [SORT_ORDER_UNSPECIFIED, ASCENDING, DESCENDING] sourceColumnOffset (integer()): The column offset of the source range that this grouping is based on. For example, if the source was &#x60;C10:E15&#x60;, a &#x60;sourceColumnOffset&#x60; of &#x60;0&#x60; means this group refers to column &#x60;C&#x60;, whereas the offset &#x60;1&#x60; would refer to column &#x60;D&#x60;. Defaults to: null. valueBucket (PivotGroupSortValueBucket): The bucket of the opposite pivot group to sort by. If not specified, sorting is alphabetical by this group&#39;s values. Defaults to: null. valueMetadata ([PivotGroupValueMetadata]): Metadata about values in the grouping. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.PivotGroup.html#decode/2","title":"GoogleApi.Sheets.V4.Model.PivotGroup.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.PivotGroup.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.PivotGroup.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.PivotGroupRule.html","title":"GoogleApi.Sheets.V4.Model.PivotGroupRule","type":"module","doc":"An optional setting on a PivotGroup that defines buckets for the values in the source data column rather than breaking out each individual value. Only one PivotGroup with a group rule may be added for each column in the source data, though on any given column you may add both a PivotGroup that has a rule and a PivotGroup that does not. Attributes dateTimeRule (DateTimeRule): A DateTimeRule. Defaults to: null. histogramRule (HistogramRule): A HistogramRule. Defaults to: null. manualRule (ManualRule): A ManualRule. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.PivotGroupRule.html#decode/2","title":"GoogleApi.Sheets.V4.Model.PivotGroupRule.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.PivotGroupRule.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.PivotGroupRule.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.PivotGroupSortValueBucket.html","title":"GoogleApi.Sheets.V4.Model.PivotGroupSortValueBucket","type":"module","doc":"Information about which values in a pivot group should be used for sorting. Attributes buckets ([ExtendedValue]): Determines the bucket from which values are chosen to sort. For example, in a pivot table with one row group &amp; two column groups, the row group can list up to two values. The first value corresponds to a value within the first column group, and the second value corresponds to a value in the second column group. If no values are listed, this would indicate that the row should be sorted according to the &quot;Grand Total&quot; over the column groups. If a single value is listed, this would correspond to using the &quot;Total&quot; of that bucket. Defaults to: null. valuesIndex (integer()): The offset in the PivotTable.values list which the values in this grouping should be sorted by. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.PivotGroupSortValueBucket.html#decode/2","title":"GoogleApi.Sheets.V4.Model.PivotGroupSortValueBucket.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.PivotGroupSortValueBucket.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.PivotGroupSortValueBucket.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.PivotGroupValueMetadata.html","title":"GoogleApi.Sheets.V4.Model.PivotGroupValueMetadata","type":"module","doc":"Metadata about a value in a pivot grouping. Attributes collapsed (boolean()): True if the data corresponding to the value is collapsed. Defaults to: null. value (ExtendedValue): The calculated value the metadata corresponds to. (Note that formulaValue is not valid, because the values will be calculated.) Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.PivotGroupValueMetadata.html#decode/2","title":"GoogleApi.Sheets.V4.Model.PivotGroupValueMetadata.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.PivotGroupValueMetadata.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.PivotGroupValueMetadata.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.PivotTable.html","title":"GoogleApi.Sheets.V4.Model.PivotTable","type":"module","doc":"A pivot table. Attributes columns ([PivotGroup]): Each column grouping in the pivot table. Defaults to: null. criteria (%{optional(String.t) &#x3D;&gt; PivotFilterCriteria}): An optional mapping of filters per source column offset. The filters are applied before aggregating data into the pivot table. The map&#39;s key is the column offset of the source range that you want to filter, and the value is the criteria for that column. For example, if the source was &#x60;C10:E15&#x60;, a key of &#x60;0&#x60; will have the filter for column &#x60;C&#x60;, whereas the key &#x60;1&#x60; is for column &#x60;D&#x60;. Defaults to: null. rows ([PivotGroup]): Each row grouping in the pivot table. Defaults to: null. source (GridRange): The range the pivot table is reading data from. Defaults to: null. valueLayout (String.t): Whether values should be listed horizontally (as columns) or vertically (as rows). Defaults to: null. Enum - one of [HORIZONTAL, VERTICAL] values ([PivotValue]): A list of values to include in the pivot table. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.PivotTable.html#decode/2","title":"GoogleApi.Sheets.V4.Model.PivotTable.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.PivotTable.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.PivotTable.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.PivotValue.html","title":"GoogleApi.Sheets.V4.Model.PivotValue","type":"module","doc":"The definition of how a value in a pivot table should be calculated. Attributes calculatedDisplayType (String.t): If specified, indicates that pivot values should be displayed as the result of a calculation with another pivot value. For example, if calculated_display_type is specified as PERCENT_OF_GRAND_TOTAL, all the pivot values are displayed as the percentage of the grand total. In the Sheets UI, this is referred to as &quot;Show As&quot; in the value section of a pivot table. Defaults to: null. Enum - one of [PIVOT_VALUE_CALCULATED_DISPLAY_TYPE_UNSPECIFIED, PERCENT_OF_ROW_TOTAL, PERCENT_OF_COLUMN_TOTAL, PERCENT_OF_GRAND_TOTAL] formula (String.t): A custom formula to calculate the value. The formula must start with an &#x60;&#x3D;&#x60; character. Defaults to: null. name (String.t): A name to use for the value. Defaults to: null. sourceColumnOffset (integer()): The column offset of the source range that this value reads from. For example, if the source was &#x60;C10:E15&#x60;, a &#x60;sourceColumnOffset&#x60; of &#x60;0&#x60; means this value refers to column &#x60;C&#x60;, whereas the offset &#x60;1&#x60; would refer to column &#x60;D&#x60;. Defaults to: null. summarizeFunction (String.t): A function to summarize the value. If formula is set, the only supported values are SUM and CUSTOM. If sourceColumnOffset is set, then &#x60;CUSTOM&#x60; is not supported. Defaults to: null. Enum - one of [PIVOT_STANDARD_VALUE_FUNCTION_UNSPECIFIED, SUM, COUNTA, COUNT, COUNTUNIQUE, AVERAGE, MAX, MIN, MEDIAN, PRODUCT, STDEV, STDEVP, VAR, VARP, CUSTOM]"},{"ref":"GoogleApi.Sheets.V4.Model.PivotValue.html#decode/2","title":"GoogleApi.Sheets.V4.Model.PivotValue.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.PivotValue.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.PivotValue.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.ProtectedRange.html","title":"GoogleApi.Sheets.V4.Model.ProtectedRange","type":"module","doc":"A protected range. Attributes description (String.t): The description of this protected range. Defaults to: null. editors (Editors): The users and groups with edit access to the protected range. This field is only visible to users with edit access to the protected range and the document. Editors are not supported with warning_only protection. Defaults to: null. namedRangeId (String.t): The named range this protected range is backed by, if any. When writing, only one of range or named_range_id may be set. Defaults to: null. protectedRangeId (integer()): The ID of the protected range. This field is read-only. Defaults to: null. range (GridRange): The range that is being protected. The range may be fully unbounded, in which case this is considered a protected sheet. When writing, only one of range or named_range_id may be set. Defaults to: null. requestingUserCanEdit (boolean()): True if the user who requested this protected range can edit the protected area. This field is read-only. Defaults to: null. unprotectedRanges ([GridRange]): The list of unprotected ranges within a protected sheet. Unprotected ranges are only supported on protected sheets. Defaults to: null. warningOnly (boolean()): True if this protected range will show a warning when editing. Warning-based protection means that every user can edit data in the protected range, except editing will prompt a warning asking the user to confirm the edit. When writing: if this field is true, then editors is ignored. Additionally, if this field is changed from true to false and the &#x60;editors&#x60; field is not set (nor included in the field mask), then the editors will be set to all the editors in the document. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.ProtectedRange.html#decode/2","title":"GoogleApi.Sheets.V4.Model.ProtectedRange.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.ProtectedRange.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.ProtectedRange.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.RandomizeRangeRequest.html","title":"GoogleApi.Sheets.V4.Model.RandomizeRangeRequest","type":"module","doc":"Randomizes the order of the rows in a range. Attributes range (GridRange): The range to randomize. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.RandomizeRangeRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.RandomizeRangeRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.RandomizeRangeRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.RandomizeRangeRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.RepeatCellRequest.html","title":"GoogleApi.Sheets.V4.Model.RepeatCellRequest","type":"module","doc":"Updates all cells in the range to the values in the given Cell object. Only the fields listed in the fields field are updated; others are unchanged. If writing a cell with a formula, the formula&#39;s ranges will automatically increment for each field in the range. For example, if writing a cell with formula &#x60;&#x3D;A1&#x60; into range B2:C4, B2 would be &#x60;&#x3D;A1&#x60;, B3 would be &#x60;&#x3D;A2&#x60;, B4 would be &#x60;&#x3D;A3&#x60;, C2 would be &#x60;&#x3D;B1&#x60;, C3 would be &#x60;&#x3D;B2&#x60;, C4 would be &#x60;&#x3D;B3&#x60;. To keep the formula&#39;s ranges static, use the &#x60;$&#x60; indicator. For example, use the formula &#x60;&#x3D;$A$1&#x60; to prevent both the row and the column from incrementing. Attributes cell (CellData): The data to write. Defaults to: null. fields (String.t): The fields that should be updated. At least one field must be specified. The root &#x60;cell&#x60; is implied and should not be specified. A single &#x60;&quot;*&quot;&#x60; can be used as short-hand for listing every field. Defaults to: null. range (GridRange): The range to repeat the cell in. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.RepeatCellRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.RepeatCellRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.RepeatCellRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.RepeatCellRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.Request.html","title":"GoogleApi.Sheets.V4.Model.Request","type":"module","doc":"A single kind of update to apply to a spreadsheet. Attributes addBanding (AddBandingRequest): Adds a new banded range Defaults to: null. addChart (AddChartRequest): Adds a chart. Defaults to: null. addConditionalFormatRule (AddConditionalFormatRuleRequest): Adds a new conditional format rule. Defaults to: null. addDimensionGroup (AddDimensionGroupRequest): Creates a group over the specified range. Defaults to: null. addFilterView (AddFilterViewRequest): Adds a filter view. Defaults to: null. addNamedRange (AddNamedRangeRequest): Adds a named range. Defaults to: null. addProtectedRange (AddProtectedRangeRequest): Adds a protected range. Defaults to: null. addSheet (AddSheetRequest): Adds a sheet. Defaults to: null. appendCells (AppendCellsRequest): Appends cells after the last row with data in a sheet. Defaults to: null. appendDimension (AppendDimensionRequest): Appends dimensions to the end of a sheet. Defaults to: null. autoFill (AutoFillRequest): Automatically fills in more data based on existing data. Defaults to: null. autoResizeDimensions (AutoResizeDimensionsRequest): Automatically resizes one or more dimensions based on the contents of the cells in that dimension. Defaults to: null. clearBasicFilter (ClearBasicFilterRequest): Clears the basic filter on a sheet. Defaults to: null. copyPaste (CopyPasteRequest): Copies data from one area and pastes it to another. Defaults to: null. createDeveloperMetadata (CreateDeveloperMetadataRequest): Creates new developer metadata Defaults to: null. cutPaste (CutPasteRequest): Cuts data from one area and pastes it to another. Defaults to: null. deleteBanding (DeleteBandingRequest): Removes a banded range Defaults to: null. deleteConditionalFormatRule (DeleteConditionalFormatRuleRequest): Deletes an existing conditional format rule. Defaults to: null. deleteDeveloperMetadata (DeleteDeveloperMetadataRequest): Deletes developer metadata Defaults to: null. deleteDimension (DeleteDimensionRequest): Deletes rows or columns in a sheet. Defaults to: null. deleteDimensionGroup (DeleteDimensionGroupRequest): Deletes a group over the specified range. Defaults to: null. deleteEmbeddedObject (DeleteEmbeddedObjectRequest): Deletes an embedded object (e.g, chart, image) in a sheet. Defaults to: null. deleteFilterView (DeleteFilterViewRequest): Deletes a filter view from a sheet. Defaults to: null. deleteNamedRange (DeleteNamedRangeRequest): Deletes a named range. Defaults to: null. deleteProtectedRange (DeleteProtectedRangeRequest): Deletes a protected range. Defaults to: null. deleteRange (DeleteRangeRequest): Deletes a range of cells from a sheet, shifting the remaining cells. Defaults to: null. deleteSheet (DeleteSheetRequest): Deletes a sheet. Defaults to: null. duplicateFilterView (DuplicateFilterViewRequest): Duplicates a filter view. Defaults to: null. duplicateSheet (DuplicateSheetRequest): Duplicates a sheet. Defaults to: null. findReplace (FindReplaceRequest): Finds and replaces occurrences of some text with other text. Defaults to: null. insertDimension (InsertDimensionRequest): Inserts new rows or columns in a sheet. Defaults to: null. insertRange (InsertRangeRequest): Inserts new cells in a sheet, shifting the existing cells. Defaults to: null. mergeCells (MergeCellsRequest): Merges cells together. Defaults to: null. moveDimension (MoveDimensionRequest): Moves rows or columns to another location in a sheet. Defaults to: null. pasteData (PasteDataRequest): Pastes data (HTML or delimited) into a sheet. Defaults to: null. randomizeRange (RandomizeRangeRequest): Randomizes the order of the rows in a range. Defaults to: null. repeatCell (RepeatCellRequest): Repeats a single cell across a range. Defaults to: null. setBasicFilter (SetBasicFilterRequest): Sets the basic filter on a sheet. Defaults to: null. setDataValidation (SetDataValidationRequest): Sets data validation for one or more cells. Defaults to: null. sortRange (SortRangeRequest): Sorts data in a range. Defaults to: null. textToColumns (TextToColumnsRequest): Converts a column of text into many columns of text. Defaults to: null. unmergeCells (UnmergeCellsRequest): Unmerges merged cells. Defaults to: null. updateBanding (UpdateBandingRequest): Updates a banded range Defaults to: null. updateBorders (UpdateBordersRequest): Updates the borders in a range of cells. Defaults to: null. updateCells (UpdateCellsRequest): Updates many cells at once. Defaults to: null. updateChartSpec (UpdateChartSpecRequest): Updates a chart&#39;s specifications. Defaults to: null. updateConditionalFormatRule (UpdateConditionalFormatRuleRequest): Updates an existing conditional format rule. Defaults to: null. updateDeveloperMetadata (UpdateDeveloperMetadataRequest): Updates an existing developer metadata entry Defaults to: null. updateDimensionGroup (UpdateDimensionGroupRequest): Updates the state of the specified group. Defaults to: null. updateDimensionProperties (UpdateDimensionPropertiesRequest): Updates dimensions&#39; properties. Defaults to: null. updateEmbeddedObjectPosition (UpdateEmbeddedObjectPositionRequest): Updates an embedded object&#39;s (e.g. chart, image) position. Defaults to: null. updateFilterView (UpdateFilterViewRequest): Updates the properties of a filter view. Defaults to: null. updateNamedRange (UpdateNamedRangeRequest): Updates a named range. Defaults to: null. updateProtectedRange (UpdateProtectedRangeRequest): Updates a protected range. Defaults to: null. updateSheetProperties (UpdateSheetPropertiesRequest): Updates a sheet&#39;s properties. Defaults to: null. updateSpreadsheetProperties (UpdateSpreadsheetPropertiesRequest): Updates the spreadsheet&#39;s properties. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.Request.html#decode/2","title":"GoogleApi.Sheets.V4.Model.Request.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.Request.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.Request.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.Response.html","title":"GoogleApi.Sheets.V4.Model.Response","type":"module","doc":"A single response from an update. Attributes addBanding (AddBandingResponse): A reply from adding a banded range. Defaults to: null. addChart (AddChartResponse): A reply from adding a chart. Defaults to: null. addDimensionGroup (AddDimensionGroupResponse): A reply from adding a dimension group. Defaults to: null. addFilterView (AddFilterViewResponse): A reply from adding a filter view. Defaults to: null. addNamedRange (AddNamedRangeResponse): A reply from adding a named range. Defaults to: null. addProtectedRange (AddProtectedRangeResponse): A reply from adding a protected range. Defaults to: null. addSheet (AddSheetResponse): A reply from adding a sheet. Defaults to: null. createDeveloperMetadata (CreateDeveloperMetadataResponse): A reply from creating a developer metadata entry. Defaults to: null. deleteConditionalFormatRule (DeleteConditionalFormatRuleResponse): A reply from deleting a conditional format rule. Defaults to: null. deleteDeveloperMetadata (DeleteDeveloperMetadataResponse): A reply from deleting a developer metadata entry. Defaults to: null. deleteDimensionGroup (DeleteDimensionGroupResponse): A reply from deleting a dimension group. Defaults to: null. duplicateFilterView (DuplicateFilterViewResponse): A reply from duplicating a filter view. Defaults to: null. duplicateSheet (DuplicateSheetResponse): A reply from duplicating a sheet. Defaults to: null. findReplace (FindReplaceResponse): A reply from doing a find/replace. Defaults to: null. updateConditionalFormatRule (UpdateConditionalFormatRuleResponse): A reply from updating a conditional format rule. Defaults to: null. updateDeveloperMetadata (UpdateDeveloperMetadataResponse): A reply from updating a developer metadata entry. Defaults to: null. updateEmbeddedObjectPosition (UpdateEmbeddedObjectPositionResponse): A reply from updating an embedded object&#39;s position. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.Response.html#decode/2","title":"GoogleApi.Sheets.V4.Model.Response.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.Response.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.Response.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.RowData.html","title":"GoogleApi.Sheets.V4.Model.RowData","type":"module","doc":"Data about each cell in a row. Attributes values ([CellData]): The values in the row, one per column. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.RowData.html#decode/2","title":"GoogleApi.Sheets.V4.Model.RowData.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.RowData.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.RowData.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.SearchDeveloperMetadataRequest.html","title":"GoogleApi.Sheets.V4.Model.SearchDeveloperMetadataRequest","type":"module","doc":"A request to retrieve all developer metadata matching the set of specified criteria. Attributes dataFilters ([DataFilter]): The data filters describing the criteria used to determine which DeveloperMetadata entries to return. DeveloperMetadata matching any of the specified filters will be included in the response. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.SearchDeveloperMetadataRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.SearchDeveloperMetadataRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.SearchDeveloperMetadataRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.SearchDeveloperMetadataRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.SearchDeveloperMetadataResponse.html","title":"GoogleApi.Sheets.V4.Model.SearchDeveloperMetadataResponse","type":"module","doc":"A reply to a developer metadata search request. Attributes matchedDeveloperMetadata ([MatchedDeveloperMetadata]): The metadata matching the criteria of the search request. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.SearchDeveloperMetadataResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.SearchDeveloperMetadataResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.SearchDeveloperMetadataResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.SearchDeveloperMetadataResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.SetBasicFilterRequest.html","title":"GoogleApi.Sheets.V4.Model.SetBasicFilterRequest","type":"module","doc":"Sets the basic filter associated with a sheet. Attributes filter (BasicFilter): The filter to set. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.SetBasicFilterRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.SetBasicFilterRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.SetBasicFilterRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.SetBasicFilterRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.SetDataValidationRequest.html","title":"GoogleApi.Sheets.V4.Model.SetDataValidationRequest","type":"module","doc":"Sets a data validation rule to every cell in the range. To clear validation in a range, call this with no rule specified. Attributes range (GridRange): The range the data validation rule should apply to. Defaults to: null. rule (DataValidationRule): The data validation rule to set on each cell in the range, or empty to clear the data validation in the range. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.SetDataValidationRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.SetDataValidationRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.SetDataValidationRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.SetDataValidationRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.Sheet.html","title":"GoogleApi.Sheets.V4.Model.Sheet","type":"module","doc":"A sheet in a spreadsheet. Attributes bandedRanges ([BandedRange]): The banded (alternating colors) ranges on this sheet. Defaults to: null. basicFilter (BasicFilter): The filter on this sheet, if any. Defaults to: null. charts ([EmbeddedChart]): The specifications of every chart on this sheet. Defaults to: null. columnGroups ([DimensionGroup]): All column groups on this sheet, ordered by increasing range start index, then by group depth. Defaults to: null. conditionalFormats ([ConditionalFormatRule]): The conditional format rules in this sheet. Defaults to: null. data ([GridData]): Data in the grid, if this is a grid sheet. The number of GridData objects returned is dependent on the number of ranges requested on this sheet. For example, if this is representing &#x60;Sheet1&#x60;, and the spreadsheet was requested with ranges &#x60;Sheet1!A1:C10&#x60; and &#x60;Sheet1!D15:E20&#x60;, then the first GridData will have a startRow/startColumn of &#x60;0&#x60;, while the second one will have &#x60;startRow 14&#x60; (zero-based row 15), and &#x60;startColumn 3&#x60; (zero-based column D). Defaults to: null. developerMetadata ([DeveloperMetadata]): The developer metadata associated with a sheet. Defaults to: null. filterViews ([FilterView]): The filter views in this sheet. Defaults to: null. merges ([GridRange]): The ranges that are merged together. Defaults to: null. properties (SheetProperties): The properties of the sheet. Defaults to: null. protectedRanges ([ProtectedRange]): The protected ranges in this sheet. Defaults to: null. rowGroups ([DimensionGroup]): All row groups on this sheet, ordered by increasing range start index, then by group depth. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.Sheet.html#decode/2","title":"GoogleApi.Sheets.V4.Model.Sheet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.Sheet.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.Sheet.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.SheetProperties.html","title":"GoogleApi.Sheets.V4.Model.SheetProperties","type":"module","doc":"Properties of a sheet. Attributes gridProperties (GridProperties): Additional properties of the sheet if this sheet is a grid. (If the sheet is an object sheet, containing a chart or image, then this field will be absent.) When writing it is an error to set any grid properties on non-grid sheets. Defaults to: null. hidden (boolean()): True if the sheet is hidden in the UI, false if it&#39;s visible. Defaults to: null. index (integer()): The index of the sheet within the spreadsheet. When adding or updating sheet properties, if this field is excluded then the sheet is added or moved to the end of the sheet list. When updating sheet indices or inserting sheets, movement is considered in &quot;before the move&quot; indexes. For example, if there were 3 sheets (S1, S2, S3) in order to move S1 ahead of S2 the index would have to be set to 2. A sheet index update request is ignored if the requested index is identical to the sheets current index or if the requested new index is equal to the current sheet index + 1. Defaults to: null. rightToLeft (boolean()): True if the sheet is an RTL sheet instead of an LTR sheet. Defaults to: null. sheetId (integer()): The ID of the sheet. Must be non-negative. This field cannot be changed once set. Defaults to: null. sheetType (String.t): The type of sheet. Defaults to GRID. This field cannot be changed once set. Defaults to: null. Enum - one of [SHEET_TYPE_UNSPECIFIED, GRID, OBJECT] tabColor (Color): The color of the tab in the UI. Defaults to: null. title (String.t): The name of the sheet. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.SheetProperties.html#decode/2","title":"GoogleApi.Sheets.V4.Model.SheetProperties.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.SheetProperties.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.SheetProperties.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.SortRangeRequest.html","title":"GoogleApi.Sheets.V4.Model.SortRangeRequest","type":"module","doc":"Sorts data in rows based on a sort order per column. Attributes range (GridRange): The range to sort. Defaults to: null. sortSpecs ([SortSpec]): The sort order per column. Later specifications are used when values are equal in the earlier specifications. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.SortRangeRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.SortRangeRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.SortRangeRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.SortRangeRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.SortSpec.html","title":"GoogleApi.Sheets.V4.Model.SortSpec","type":"module","doc":"A sort order associated with a specific column or row. Attributes dimensionIndex (integer()): The dimension the sort should be applied to. Defaults to: null. sortOrder (String.t): The order data should be sorted. Defaults to: null. Enum - one of [SORT_ORDER_UNSPECIFIED, ASCENDING, DESCENDING]"},{"ref":"GoogleApi.Sheets.V4.Model.SortSpec.html#decode/2","title":"GoogleApi.Sheets.V4.Model.SortSpec.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.SortSpec.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.SortSpec.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.SourceAndDestination.html","title":"GoogleApi.Sheets.V4.Model.SourceAndDestination","type":"module","doc":"A combination of a source range and how to extend that source. Attributes dimension (String.t): The dimension that data should be filled into. Defaults to: null. Enum - one of [DIMENSION_UNSPECIFIED, ROWS, COLUMNS] fillLength (integer()): The number of rows or columns that data should be filled into. Positive numbers expand beyond the last row or last column of the source. Negative numbers expand before the first row or first column of the source. Defaults to: null. source (GridRange): The location of the data to use as the source of the autofill. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.SourceAndDestination.html#decode/2","title":"GoogleApi.Sheets.V4.Model.SourceAndDestination.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.SourceAndDestination.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.SourceAndDestination.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.Spreadsheet.html","title":"GoogleApi.Sheets.V4.Model.Spreadsheet","type":"module","doc":"Resource that represents a spreadsheet. Attributes developerMetadata ([DeveloperMetadata]): The developer metadata associated with a spreadsheet. Defaults to: null. namedRanges ([NamedRange]): The named ranges defined in a spreadsheet. Defaults to: null. properties (SpreadsheetProperties): Overall properties of a spreadsheet. Defaults to: null. sheets ([Sheet]): The sheets that are part of a spreadsheet. Defaults to: null. spreadsheetId (String.t): The ID of the spreadsheet. This field is read-only. Defaults to: null. spreadsheetUrl (String.t): The url of the spreadsheet. This field is read-only. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.Spreadsheet.html#decode/2","title":"GoogleApi.Sheets.V4.Model.Spreadsheet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.Spreadsheet.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.Spreadsheet.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.SpreadsheetProperties.html","title":"GoogleApi.Sheets.V4.Model.SpreadsheetProperties","type":"module","doc":"Properties of a spreadsheet. Attributes autoRecalc (String.t): The amount of time to wait before volatile functions are recalculated. Defaults to: null. Enum - one of [RECALCULATION_INTERVAL_UNSPECIFIED, ON_CHANGE, MINUTE, HOUR] defaultFormat (CellFormat): The default format of all cells in the spreadsheet. CellData.effectiveFormat will not be set if the cell&#39;s format is equal to this default format. This field is read-only. Defaults to: null. iterativeCalculationSettings (IterativeCalculationSettings): Determines whether and how circular references are resolved with iterative calculation. Absence of this field means that circular references will result in calculation errors. Defaults to: null. locale (String.t): The locale of the spreadsheet in one of the following formats: an ISO 639-1 language code such as &#x60;en&#x60; an ISO 639-2 language code such as &#x60;fil&#x60;, if no 639-1 code exists * a combination of the ISO language code and country code, such as &#x60;en_US&#x60; Note: when updating this field, not all locales/languages are supported. Defaults to: null. timeZone (String.t): The time zone of the spreadsheet, in CLDR format such as &#x60;America/New_York&#x60;. If the time zone isn&#39;t recognized, this may be a custom time zone such as &#x60;GMT-07:00&#x60;. Defaults to: null. title (String.t): The title of the spreadsheet. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.SpreadsheetProperties.html#decode/2","title":"GoogleApi.Sheets.V4.Model.SpreadsheetProperties.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.SpreadsheetProperties.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.SpreadsheetProperties.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.TextFormat.html","title":"GoogleApi.Sheets.V4.Model.TextFormat","type":"module","doc":"The format of a run of text in a cell. Absent values indicate that the field isn&#39;t specified. Attributes bold (boolean()): True if the text is bold. Defaults to: null. fontFamily (String.t): The font family. Defaults to: null. fontSize (integer()): The size of the font. Defaults to: null. foregroundColor (Color): The foreground color of the text. Defaults to: null. italic (boolean()): True if the text is italicized. Defaults to: null. strikethrough (boolean()): True if the text has a strikethrough. Defaults to: null. underline (boolean()): True if the text is underlined. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.TextFormat.html#decode/2","title":"GoogleApi.Sheets.V4.Model.TextFormat.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.TextFormat.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.TextFormat.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.TextFormatRun.html","title":"GoogleApi.Sheets.V4.Model.TextFormatRun","type":"module","doc":"A run of a text format. The format of this run continues until the start index of the next run. When updating, all fields must be set. Attributes format (TextFormat): The format of this run. Absent values inherit the cell&#39;s format. Defaults to: null. startIndex (integer()): The character index where this run starts. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.TextFormatRun.html#decode/2","title":"GoogleApi.Sheets.V4.Model.TextFormatRun.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.TextFormatRun.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.TextFormatRun.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.TextPosition.html","title":"GoogleApi.Sheets.V4.Model.TextPosition","type":"module","doc":"Position settings for text. Attributes horizontalAlignment (String.t): Horizontal alignment setting for the piece of text. Defaults to: null. Enum - one of [HORIZONTAL_ALIGN_UNSPECIFIED, LEFT, CENTER, RIGHT]"},{"ref":"GoogleApi.Sheets.V4.Model.TextPosition.html#decode/2","title":"GoogleApi.Sheets.V4.Model.TextPosition.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.TextPosition.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.TextPosition.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.TextRotation.html","title":"GoogleApi.Sheets.V4.Model.TextRotation","type":"module","doc":"The rotation applied to text in a cell. Attributes angle (integer()): The angle between the standard orientation and the desired orientation. Measured in degrees. Valid values are between -90 and 90. Positive angles are angled upwards, negative are angled downwards. Note: For LTR text direction positive angles are in the counterclockwise direction, whereas for RTL they are in the clockwise direction Defaults to: null. vertical (boolean()): If true, text reads top to bottom, but the orientation of individual characters is unchanged. For example: | V | | e | | r | | t | | i | | c | | a | | l | Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.TextRotation.html#decode/2","title":"GoogleApi.Sheets.V4.Model.TextRotation.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.TextRotation.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.TextRotation.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.TextToColumnsRequest.html","title":"GoogleApi.Sheets.V4.Model.TextToColumnsRequest","type":"module","doc":"Splits a column of text into multiple columns, based on a delimiter in each cell. Attributes delimiter (String.t): The delimiter to use. Used only if delimiterType is CUSTOM. Defaults to: null. delimiterType (String.t): The delimiter type to use. Defaults to: null. Enum - one of [DELIMITER_TYPE_UNSPECIFIED, COMMA, SEMICOLON, PERIOD, SPACE, CUSTOM, AUTODETECT] source (GridRange): The source data range. This must span exactly one column. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.TextToColumnsRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.TextToColumnsRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.TextToColumnsRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.TextToColumnsRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.TreemapChartColorScale.html","title":"GoogleApi.Sheets.V4.Model.TreemapChartColorScale","type":"module","doc":"A color scale for a treemap chart. Attributes maxValueColor (Color): The background color for cells with a color value greater than or equal to maxValue. Defaults to #109618 if not specified. Defaults to: null. midValueColor (Color): The background color for cells with a color value at the midpoint between minValue and maxValue. Defaults to #efe6dc if not specified. Defaults to: null. minValueColor (Color): The background color for cells with a color value less than or equal to minValue. Defaults to #dc3912 if not specified. Defaults to: null. noDataColor (Color): The background color for cells that have no color data associated with them. Defaults to #000000 if not specified. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.TreemapChartColorScale.html#decode/2","title":"GoogleApi.Sheets.V4.Model.TreemapChartColorScale.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.TreemapChartColorScale.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.TreemapChartColorScale.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.TreemapChartSpec.html","title":"GoogleApi.Sheets.V4.Model.TreemapChartSpec","type":"module","doc":"A &lt;a href&#x3D;&quot;/chart/interactive/docs/gallery/treemap&quot;&gt;Treemap chart&lt;/a&gt;. Attributes colorData (ChartData): The data that determines the background color of each treemap data cell. This field is optional. If not specified, size_data is used to determine background colors. If specified, the data is expected to be numeric. color_scale will determine how the values in this data map to data cell background colors. Defaults to: null. colorScale (TreemapChartColorScale): The color scale for data cells in the treemap chart. Data cells are assigned colors based on their color values. These color values come from color_data, or from size_data if color_data is not specified. Cells with color values less than or equal to min_value will have minValueColor as their background color. Cells with color values greater than or equal to max_value will have maxValueColor as their background color. Cells with color values between min_value and max_value will have background colors on a gradient between minValueColor and maxValueColor, the midpoint of the gradient being midValueColor. Cells with missing or non-numeric color values will have noDataColor as their background color. Defaults to: null. headerColor (Color): The background color for header cells. Defaults to: null. hideTooltips (boolean()): True to hide tooltips. Defaults to: null. hintedLevels (integer()): The number of additional data levels beyond the labeled levels to be shown on the treemap chart. These levels are not interactive and are shown without their labels. Defaults to 0 if not specified. Defaults to: null. labels (ChartData): The data that contains the treemap cell labels. Defaults to: null. levels (integer()): The number of data levels to show on the treemap chart. These levels are interactive and are shown with their labels. Defaults to 2 if not specified. Defaults to: null. maxValue (float()): The maximum possible data value. Cells with values greater than this will have the same color as cells with this value. If not specified, defaults to the actual maximum value from color_data, or the maximum value from size_data if color_data is not specified. Defaults to: null. minValue (float()): The minimum possible data value. Cells with values less than this will have the same color as cells with this value. If not specified, defaults to the actual minimum value from color_data, or the minimum value from size_data if color_data is not specified. Defaults to: null. parentLabels (ChartData): The data the contains the treemap cells&#39; parent labels. Defaults to: null. sizeData (ChartData): The data that determines the size of each treemap data cell. This data is expected to be numeric. The cells corresponding to non-numeric or missing data will not be rendered. If color_data is not specified, this data is used to determine data cell background colors as well. Defaults to: null. textFormat (TextFormat): The text format for all labels on the chart. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.TreemapChartSpec.html#decode/2","title":"GoogleApi.Sheets.V4.Model.TreemapChartSpec.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.TreemapChartSpec.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.TreemapChartSpec.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.UnmergeCellsRequest.html","title":"GoogleApi.Sheets.V4.Model.UnmergeCellsRequest","type":"module","doc":"Unmerges cells in the given range. Attributes range (GridRange): The range within which all cells should be unmerged. If the range spans multiple merges, all will be unmerged. The range must not partially span any merge. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.UnmergeCellsRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.UnmergeCellsRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.UnmergeCellsRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.UnmergeCellsRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.UpdateBandingRequest.html","title":"GoogleApi.Sheets.V4.Model.UpdateBandingRequest","type":"module","doc":"Updates properties of the supplied banded range. Attributes bandedRange (BandedRange): The banded range to update with the new properties. Defaults to: null. fields (String.t): The fields that should be updated. At least one field must be specified. The root &#x60;bandedRange&#x60; is implied and should not be specified. A single &#x60;&quot;*&quot;&#x60; can be used as short-hand for listing every field. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateBandingRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.UpdateBandingRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateBandingRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.UpdateBandingRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.UpdateBordersRequest.html","title":"GoogleApi.Sheets.V4.Model.UpdateBordersRequest","type":"module","doc":"Updates the borders of a range. If a field is not set in the request, that means the border remains as-is. For example, with two subsequent UpdateBordersRequest: 1. range: A1:A5 &#x60;{ top: RED, bottom: WHITE }&#x60; 2. range: A1:A5 &#x60;{ left: BLUE }&#x60; That would result in A1:A5 having a borders of &#x60;{ top: RED, bottom: WHITE, left: BLUE }&#x60;. If you want to clear a border, explicitly set the style to NONE. Attributes bottom (Border): The border to put at the bottom of the range. Defaults to: null. innerHorizontal (Border): The horizontal border to put within the range. Defaults to: null. innerVertical (Border): The vertical border to put within the range. Defaults to: null. left (Border): The border to put at the left of the range. Defaults to: null. range (GridRange): The range whose borders should be updated. Defaults to: null. right (Border): The border to put at the right of the range. Defaults to: null. top (Border): The border to put at the top of the range. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateBordersRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.UpdateBordersRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateBordersRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.UpdateBordersRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.UpdateCellsRequest.html","title":"GoogleApi.Sheets.V4.Model.UpdateCellsRequest","type":"module","doc":"Updates all cells in a range with new data. Attributes fields (String.t): The fields of CellData that should be updated. At least one field must be specified. The root is the CellData; &#39;row.values.&#39; should not be specified. A single &#x60;&quot;*&quot;&#x60; can be used as short-hand for listing every field. Defaults to: null. range (GridRange): The range to write data to. If the data in rows does not cover the entire requested range, the fields matching those set in fields will be cleared. Defaults to: null. rows ([RowData]): The data to write. Defaults to: null. start (GridCoordinate): The coordinate to start writing data at. Any number of rows and columns (including a different number of columns per row) may be written. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateCellsRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.UpdateCellsRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateCellsRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.UpdateCellsRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.UpdateChartSpecRequest.html","title":"GoogleApi.Sheets.V4.Model.UpdateChartSpecRequest","type":"module","doc":"Updates a chart&#39;s specifications. (This does not move or resize a chart. To move or resize a chart, use UpdateEmbeddedObjectPositionRequest.) Attributes chartId (integer()): The ID of the chart to update. Defaults to: null. spec (ChartSpec): The specification to apply to the chart. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateChartSpecRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.UpdateChartSpecRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateChartSpecRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.UpdateChartSpecRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.UpdateConditionalFormatRuleRequest.html","title":"GoogleApi.Sheets.V4.Model.UpdateConditionalFormatRuleRequest","type":"module","doc":"Updates a conditional format rule at the given index, or moves a conditional format rule to another index. Attributes index (integer()): The zero-based index of the rule that should be replaced or moved. Defaults to: null. newIndex (integer()): The zero-based new index the rule should end up at. Defaults to: null. rule (ConditionalFormatRule): The rule that should replace the rule at the given index. Defaults to: null. sheetId (integer()): The sheet of the rule to move. Required if new_index is set, unused otherwise. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateConditionalFormatRuleRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.UpdateConditionalFormatRuleRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateConditionalFormatRuleRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.UpdateConditionalFormatRuleRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.UpdateConditionalFormatRuleResponse.html","title":"GoogleApi.Sheets.V4.Model.UpdateConditionalFormatRuleResponse","type":"module","doc":"The result of updating a conditional format rule. Attributes newIndex (integer()): The index of the new rule. Defaults to: null. newRule (ConditionalFormatRule): The new rule that replaced the old rule (if replacing), or the rule that was moved (if moved) Defaults to: null. oldIndex (integer()): The old index of the rule. Not set if a rule was replaced (because it is the same as new_index). Defaults to: null. oldRule (ConditionalFormatRule): The old (deleted) rule. Not set if a rule was moved (because it is the same as new_rule). Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateConditionalFormatRuleResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.UpdateConditionalFormatRuleResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateConditionalFormatRuleResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.UpdateConditionalFormatRuleResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.UpdateDeveloperMetadataRequest.html","title":"GoogleApi.Sheets.V4.Model.UpdateDeveloperMetadataRequest","type":"module","doc":"A request to update properties of developer metadata. Updates the properties of the developer metadata selected by the filters to the values provided in the DeveloperMetadata resource. Callers must specify the properties they wish to update in the fields parameter, as well as specify at least one DataFilter matching the metadata they wish to update. Attributes dataFilters ([DataFilter]): The filters matching the developer metadata entries to update. Defaults to: null. developerMetadata (DeveloperMetadata): The value that all metadata matched by the data filters will be updated to. Defaults to: null. fields (String.t): The fields that should be updated. At least one field must be specified. The root &#x60;developerMetadata&#x60; is implied and should not be specified. A single &#x60;&quot;*&quot;&#x60; can be used as short-hand for listing every field. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateDeveloperMetadataRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.UpdateDeveloperMetadataRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateDeveloperMetadataRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.UpdateDeveloperMetadataRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.UpdateDeveloperMetadataResponse.html","title":"GoogleApi.Sheets.V4.Model.UpdateDeveloperMetadataResponse","type":"module","doc":"The response from updating developer metadata. Attributes developerMetadata ([DeveloperMetadata]): The updated developer metadata. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateDeveloperMetadataResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.UpdateDeveloperMetadataResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateDeveloperMetadataResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.UpdateDeveloperMetadataResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.UpdateDimensionGroupRequest.html","title":"GoogleApi.Sheets.V4.Model.UpdateDimensionGroupRequest","type":"module","doc":"Updates the state of the specified group. Attributes dimensionGroup (DimensionGroup): The group whose state should be updated. The range and depth of the group should specify a valid group on the sheet, and all other fields updated. Defaults to: null. fields (String.t): The fields that should be updated. At least one field must be specified. The root &#x60;dimensionGroup&#x60; is implied and should not be specified. A single &#x60;&quot;*&quot;&#x60; can be used as short-hand for listing every field. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateDimensionGroupRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.UpdateDimensionGroupRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateDimensionGroupRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.UpdateDimensionGroupRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.UpdateDimensionPropertiesRequest.html","title":"GoogleApi.Sheets.V4.Model.UpdateDimensionPropertiesRequest","type":"module","doc":"Updates properties of dimensions within the specified range. Attributes fields (String.t): The fields that should be updated. At least one field must be specified. The root &#x60;properties&#x60; is implied and should not be specified. A single &#x60;&quot;*&quot;&#x60; can be used as short-hand for listing every field. Defaults to: null. properties (DimensionProperties): Properties to update. Defaults to: null. range (DimensionRange): The rows or columns to update. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateDimensionPropertiesRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.UpdateDimensionPropertiesRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateDimensionPropertiesRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.UpdateDimensionPropertiesRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.UpdateEmbeddedObjectPositionRequest.html","title":"GoogleApi.Sheets.V4.Model.UpdateEmbeddedObjectPositionRequest","type":"module","doc":"Update an embedded object&#39;s position (such as a moving or resizing a chart or image). Attributes fields (String.t): The fields of OverlayPosition that should be updated when setting a new position. Used only if newPosition.overlayPosition is set, in which case at least one field must be specified. The root &#x60;newPosition.overlayPosition&#x60; is implied and should not be specified. A single &#x60;&quot;*&quot;&#x60; can be used as short-hand for listing every field. Defaults to: null. newPosition (EmbeddedObjectPosition): An explicit position to move the embedded object to. If newPosition.sheetId is set, a new sheet with that ID will be created. If newPosition.newSheet is set to true, a new sheet will be created with an ID that will be chosen for you. Defaults to: null. objectId (integer()): The ID of the object to moved. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateEmbeddedObjectPositionRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.UpdateEmbeddedObjectPositionRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateEmbeddedObjectPositionRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.UpdateEmbeddedObjectPositionRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.UpdateEmbeddedObjectPositionResponse.html","title":"GoogleApi.Sheets.V4.Model.UpdateEmbeddedObjectPositionResponse","type":"module","doc":"The result of updating an embedded object&#39;s position. Attributes position (EmbeddedObjectPosition): The new position of the embedded object. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateEmbeddedObjectPositionResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.UpdateEmbeddedObjectPositionResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateEmbeddedObjectPositionResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.UpdateEmbeddedObjectPositionResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.UpdateFilterViewRequest.html","title":"GoogleApi.Sheets.V4.Model.UpdateFilterViewRequest","type":"module","doc":"Updates properties of the filter view. Attributes fields (String.t): The fields that should be updated. At least one field must be specified. The root &#x60;filter&#x60; is implied and should not be specified. A single &#x60;&quot;*&quot;&#x60; can be used as short-hand for listing every field. Defaults to: null. filter (FilterView): The new properties of the filter view. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateFilterViewRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.UpdateFilterViewRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateFilterViewRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.UpdateFilterViewRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.UpdateNamedRangeRequest.html","title":"GoogleApi.Sheets.V4.Model.UpdateNamedRangeRequest","type":"module","doc":"Updates properties of the named range with the specified namedRangeId. Attributes fields (String.t): The fields that should be updated. At least one field must be specified. The root &#x60;namedRange&#x60; is implied and should not be specified. A single &#x60;&quot;*&quot;&#x60; can be used as short-hand for listing every field. Defaults to: null. namedRange (NamedRange): The named range to update with the new properties. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateNamedRangeRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.UpdateNamedRangeRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateNamedRangeRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.UpdateNamedRangeRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.UpdateProtectedRangeRequest.html","title":"GoogleApi.Sheets.V4.Model.UpdateProtectedRangeRequest","type":"module","doc":"Updates an existing protected range with the specified protectedRangeId. Attributes fields (String.t): The fields that should be updated. At least one field must be specified. The root &#x60;protectedRange&#x60; is implied and should not be specified. A single &#x60;&quot;*&quot;&#x60; can be used as short-hand for listing every field. Defaults to: null. protectedRange (ProtectedRange): The protected range to update with the new properties. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateProtectedRangeRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.UpdateProtectedRangeRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateProtectedRangeRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.UpdateProtectedRangeRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.UpdateSheetPropertiesRequest.html","title":"GoogleApi.Sheets.V4.Model.UpdateSheetPropertiesRequest","type":"module","doc":"Updates properties of the sheet with the specified sheetId. Attributes fields (String.t): The fields that should be updated. At least one field must be specified. The root &#x60;properties&#x60; is implied and should not be specified. A single &#x60;&quot;*&quot;&#x60; can be used as short-hand for listing every field. Defaults to: null. properties (SheetProperties): The properties to update. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateSheetPropertiesRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.UpdateSheetPropertiesRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateSheetPropertiesRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.UpdateSheetPropertiesRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.UpdateSpreadsheetPropertiesRequest.html","title":"GoogleApi.Sheets.V4.Model.UpdateSpreadsheetPropertiesRequest","type":"module","doc":"Updates properties of a spreadsheet. Attributes fields (String.t): The fields that should be updated. At least one field must be specified. The root &#39;properties&#39; is implied and should not be specified. A single &#x60;&quot;*&quot;&#x60; can be used as short-hand for listing every field. Defaults to: null. properties (SpreadsheetProperties): The properties to update. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateSpreadsheetPropertiesRequest.html#decode/2","title":"GoogleApi.Sheets.V4.Model.UpdateSpreadsheetPropertiesRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateSpreadsheetPropertiesRequest.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.UpdateSpreadsheetPropertiesRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.UpdateValuesByDataFilterResponse.html","title":"GoogleApi.Sheets.V4.Model.UpdateValuesByDataFilterResponse","type":"module","doc":"The response when updating a range of values by a data filter in a spreadsheet. Attributes dataFilter (DataFilter): The data filter that selected the range that was updated. Defaults to: null. updatedCells (integer()): The number of cells updated. Defaults to: null. updatedColumns (integer()): The number of columns where at least one cell in the column was updated. Defaults to: null. updatedData (ValueRange): The values of the cells in the range matched by the dataFilter after all updates were applied. This is only included if the request&#39;s &#x60;includeValuesInResponse&#x60; field was &#x60;true&#x60;. Defaults to: null. updatedRange (String.t): The range (in A1 notation) that updates were applied to. Defaults to: null. updatedRows (integer()): The number of rows where at least one cell in the row was updated. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateValuesByDataFilterResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.UpdateValuesByDataFilterResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateValuesByDataFilterResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.UpdateValuesByDataFilterResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.UpdateValuesResponse.html","title":"GoogleApi.Sheets.V4.Model.UpdateValuesResponse","type":"module","doc":"The response when updating a range of values in a spreadsheet. Attributes spreadsheetId (String.t): The spreadsheet the updates were applied to. Defaults to: null. updatedCells (integer()): The number of cells updated. Defaults to: null. updatedColumns (integer()): The number of columns where at least one cell in the column was updated. Defaults to: null. updatedData (ValueRange): The values of the cells after updates were applied. This is only included if the request&#39;s &#x60;includeValuesInResponse&#x60; field was &#x60;true&#x60;. Defaults to: null. updatedRange (String.t): The range (in A1 notation) that updates were applied to. Defaults to: null. updatedRows (integer()): The number of rows where at least one cell in the row was updated. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateValuesResponse.html#decode/2","title":"GoogleApi.Sheets.V4.Model.UpdateValuesResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.UpdateValuesResponse.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.UpdateValuesResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.ValueRange.html","title":"GoogleApi.Sheets.V4.Model.ValueRange","type":"module","doc":"Data within a range of the spreadsheet. Attributes majorDimension (String.t): The major dimension of the values. For output, if the spreadsheet data is: &#x60;A1&#x3D;1,B1&#x3D;2,A2&#x3D;3,B2&#x3D;4&#x60;, then requesting &#x60;range&#x3D;A1:B2,majorDimension&#x3D;ROWS&#x60; will return &#x60;[[1,2],[3,4]]&#x60;, whereas requesting &#x60;range&#x3D;A1:B2,majorDimension&#x3D;COLUMNS&#x60; will return &#x60;[[1,3],[2,4]]&#x60;. For input, with &#x60;range&#x3D;A1:B2,majorDimension&#x3D;ROWS&#x60; then &#x60;[[1,2],[3,4]]&#x60; will set &#x60;A1&#x3D;1,B1&#x3D;2,A2&#x3D;3,B2&#x3D;4&#x60;. With &#x60;range&#x3D;A1:B2,majorDimension&#x3D;COLUMNS&#x60; then &#x60;[[1,2],[3,4]]&#x60; will set &#x60;A1&#x3D;1,B1&#x3D;3,A2&#x3D;2,B2&#x3D;4&#x60;. When writing, if this field is not set, it defaults to ROWS. Defaults to: null. Enum - one of [DIMENSION_UNSPECIFIED, ROWS, COLUMNS] range (String.t): The range the values cover, in A1 notation. For output, this range indicates the entire requested range, even though the values will exclude trailing rows and columns. When appending values, this field represents the range to search for a table, after which values will be appended. Defaults to: null. values ([[ErrorUnknown]]): The data that was read or to be written. This is an array of arrays, the outer array representing all the data and each inner array representing a major dimension. Each item in the inner array corresponds with one cell. For output, empty trailing rows and columns will not be included. For input, supported value types are: bool, string, and double. Null values will be skipped. To set a cell to an empty value, set the string value to an empty string. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.ValueRange.html#decode/2","title":"GoogleApi.Sheets.V4.Model.ValueRange.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.ValueRange.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.ValueRange.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.WaterfallChartColumnStyle.html","title":"GoogleApi.Sheets.V4.Model.WaterfallChartColumnStyle","type":"module","doc":"Styles for a waterfall chart column. Attributes color (Color): The color of the column. Defaults to: null. label (String.t): The label of the column&#39;s legend. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.WaterfallChartColumnStyle.html#decode/2","title":"GoogleApi.Sheets.V4.Model.WaterfallChartColumnStyle.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.WaterfallChartColumnStyle.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.WaterfallChartColumnStyle.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.WaterfallChartCustomSubtotal.html","title":"GoogleApi.Sheets.V4.Model.WaterfallChartCustomSubtotal","type":"module","doc":"A custom subtotal column for a waterfall chart series. Attributes dataIsSubtotal (boolean()): True if the data point at subtotal_index is the subtotal. If false, the subtotal will be computed and appear after the data point. Defaults to: null. label (String.t): A label for the subtotal column. Defaults to: null. subtotalIndex (integer()): The 0-based index of a data point within the series. If data_is_subtotal is true, the data point at this index is the subtotal. Otherwise, the subtotal appears after the data point with this index. A series can have multiple subtotals at arbitrary indices, but subtotals do not affect the indices of the data points. For example, if a series has three data points, their indices will always be 0, 1, and 2, regardless of how many subtotals exist on the series or what data points they are associated with. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.WaterfallChartCustomSubtotal.html#decode/2","title":"GoogleApi.Sheets.V4.Model.WaterfallChartCustomSubtotal.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.WaterfallChartCustomSubtotal.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.WaterfallChartCustomSubtotal.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.WaterfallChartDomain.html","title":"GoogleApi.Sheets.V4.Model.WaterfallChartDomain","type":"module","doc":"The domain of a waterfall chart. Attributes data (ChartData): The data of the WaterfallChartDomain. Defaults to: null. reversed (boolean()): True to reverse the order of the domain values (horizontal axis). Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.WaterfallChartDomain.html#decode/2","title":"GoogleApi.Sheets.V4.Model.WaterfallChartDomain.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.WaterfallChartDomain.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.WaterfallChartDomain.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.WaterfallChartSeries.html","title":"GoogleApi.Sheets.V4.Model.WaterfallChartSeries","type":"module","doc":"A single series of data for a waterfall chart. Attributes customSubtotals ([WaterfallChartCustomSubtotal]): Custom subtotal columns appearing in this series. The order in which subtotals are defined is not significant. Only one subtotal may be defined for each data point. Defaults to: null. data (ChartData): The data being visualized in this series. Defaults to: null. hideTrailingSubtotal (boolean()): True to hide the subtotal column from the end of the series. By default, a subtotal column will appear at the end of each series. Setting this field to true will hide that subtotal column for this series. Defaults to: null. negativeColumnsStyle (WaterfallChartColumnStyle): Styles for all columns in this series with negative values. Defaults to: null. positiveColumnsStyle (WaterfallChartColumnStyle): Styles for all columns in this series with positive values. Defaults to: null. subtotalColumnsStyle (WaterfallChartColumnStyle): Styles for all subtotal columns in this series. Defaults to: null."},{"ref":"GoogleApi.Sheets.V4.Model.WaterfallChartSeries.html#decode/2","title":"GoogleApi.Sheets.V4.Model.WaterfallChartSeries.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.WaterfallChartSeries.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.WaterfallChartSeries.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.Model.WaterfallChartSpec.html","title":"GoogleApi.Sheets.V4.Model.WaterfallChartSpec","type":"module","doc":"A waterfall chart. Attributes connectorLineStyle (LineStyle): The line style for the connector lines. Defaults to: null. domain (WaterfallChartDomain): The domain data (horizontal axis) for the waterfall chart. Defaults to: null. firstValueIsTotal (boolean()): True to interpret the first value as a total. Defaults to: null. hideConnectorLines (boolean()): True to hide connector lines between columns. Defaults to: null. series ([WaterfallChartSeries]): The data this waterfall chart is visualizing. Defaults to: null. stackedType (String.t): The stacked type. Defaults to: null. Enum - one of [WATERFALL_STACKED_TYPE_UNSPECIFIED, STACKED, SEQUENTIAL]"},{"ref":"GoogleApi.Sheets.V4.Model.WaterfallChartSpec.html#decode/2","title":"GoogleApi.Sheets.V4.Model.WaterfallChartSpec.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Sheets.V4.Model.WaterfallChartSpec.html#t:t/0","title":"GoogleApi.Sheets.V4.Model.WaterfallChartSpec.t/0","type":"type","doc":""},{"ref":"GoogleApi.Sheets.V4.RequestBuilder.html","title":"GoogleApi.Sheets.V4.RequestBuilder","type":"module","doc":"Helper functions for building Tesla requests. This module is no longer used. Please use GoogleApi.Gax.Request instead."}]